# Entering rdbms.mk

# Entering /porting/linux06/8161/src/buildtools/mkfile/prefix.mk

# Entering /porting/linux06/8161/src/buildtools/mkfile/defs.mk

SHELL=/bin/sh

AS_EXT=s
LIB_EXT=a
OBJ_EXT=o
PLB_EXT=plb
SO_EXT=so
LOCK_EXT=lk
SQL_EXT=sql
SYM_EXT=sym
JAVA_EXT=java
CLASS_EXT=class
JAR_EXT=jar
ZIP_EXT=zip

LIB_PREFIX=lib
LDLIBFLAG=-l
LDPATHFLAG=-L
PATHSEP= :

AR=ar
AS=as
AWK=awk
CAT=cat
CC=cc
CD=cd
CHMOD=chmod
CP=cp
CPP=cpp
DATE=date
ECHO=echo
ECHON=echo -n
EXEC=exec
FIND=find
FOLLOW=-follow
NOLEAF=-noleaf
GREP=grep
KILL=kill
SLEEP=sleep
LD=ld
LMAKE=make
LN=ln
LNS=ln -s
MKDIR=mkdir
MKDIRP=mkdir -p
MV=mv
NM=nm
PERL=perl
RM=rm
RMF=rm -f
RMRF=rm -rf
SED=sed
SORT=sort
TOUCH=touch
XARGS=xargs
LS=ls

NULL_DEVICE=/dev/null


BINHOME=$(ORACLE_HOME)/bin/
LIBHOME=$(ORACLE_HOME)/lib/

PRODHOME=$(ORACLE_HOME)/$(PRODUCT)/
PRODLIBHOME=$(PRODHOME)lib/
PRODSOHOME=$(PRODLIBHOME)

ECHODO=$(BINHOME)echodo
GENSYSLIB=$(BINHOME)gensyslib
GENCLNTSH=$(BINHOME)genclntsh
GENAGTSH=$(BINHOME)genagtsh
GENNAFLG=$(BINHOME)gennaflg
GENAUTAB=$(BINHOME)genautab

ARCHIVE_OBJ=$(AR) r $@ $*.$(OBJ_EXT)
ARCREATE=$(AR) cr$(ARLOCAL)
ARDELETE=$(AR) d$(ARLOCAL)
AREXTRACT=$(AR) x 
ARPRINT=$(AR) t
ARREPLACE=$(AR) r 
DOAR=$(ARCREATE) $@ $? ; $(RANLIB) $@


JARCHIVE_OBJ=$(JAR) cv0f $@ $(JPKG_FILES) $(EXTRA_CLASS_FILES)
JARCREATE=$(JAR) cv0f
JARDELETE=$(ECHO) "no such thing"
JAREXTRACT=$(JAR) xf
JARPRINT=$(JAR) tvf
JARREPLACE=$(JAR) uf

MAKE=$(LMAKE)
QUIET=>/dev/null 2>&1
QUIETE=2>/dev/null
SILENT=@
CTSMAKEFLAGS=$(SILENT:@=--no-print-directory -s)

CFLAGS=$(GFLAG) $(OPTIMIZE) $(CCFLAGS) $(QACCFLAGS) $(PFLAGS)\
	$(SHARED_CFLAG) $(USRFLAGS)

PFLAGS=$(INCLUDE) $(SPFLAGS) $(LPFLAGS)

LDCCOM=$(PURECMDS) $(CC) $(GFLAG) $(CCFLAGS) $(EXOSFLAGS) $(LDFLAGS)
PURECMDS=$(PURELINK) $(PURIFY) $(PURECOV) $(QUANTIFY)
LINK=$(LDCCOM)
LDFLAGS=-o $@ -L$(PRODLIBHOME) -L$(LIBHOME)
LDLIBS=$(EXPDLIBS) $(EXOSLIBS) $(SYSLIBS) $(EXSYSLIBS) $(MATHLIB) $(USRLIBS)
MATHLIB=-lm
LINKLDLIBS=$(LDLIBS)
COBLDLIBS=$(LDLIBS)
COMPATLIB=-lcompat
SYSLIBLIST=$(LIBHOME)sysliblist
SYSLIBS=`$(CAT) $(SYSLIBLIST)`
RANLIB=/usr/bin/ranlib
RANLIBCMD=/usr/bin/ranlib
NAETTOBJS=$(NAUTAB) $(NAETAB) $(NAEDHS)
TTLIBD=$(NETLIBD) $(LIBRDBMS_CLT) $(LIBMM) $(CORELIBD) $(LIBEPC) $(LIBCLNTSH)
ORACLETTLIBS=$(NTZEOBJ) $(NETLIBS) $(LLIBRDBMS_CLT) $(LLIBWTC) $(LLIBMM) $(CORELIBS)\
       $(NETLIBS) $(LLIBRDBMS_CLT) $(LIBPLS_CLT) $(LLIBEPC) $(CORELIBS) \
       $(LLIBRDBMS_CLT) $(CORELIBS)
STATICTTLIBS=$(ORACLETTLIBS) $(LDLIBS)
TTLIBS=$(LLIBCLNTSH) $(STATICTTLIBS) $(LINKLDLIBS)
DEVTTLIBS=$(TTLIBS)
LINKTTLIBS=$(LLIBCLNTSH) $(ORACLETTLIBS) $(LINKLDLIBS)
COBTTLIBS=$(ORACLETTLIBS) $(COBLDLIBS)

ORACLESTLIBS=$(SGL_ON) $(CONFIG) $(LLIBSERVER) $(LLIBSKGXP) $(LLIBPLSF) \
       $(LLIBSLAX) \
       $(LIBGENERIC) $(LLIBCLIENT) $(LLIBWTC) $(LLIBMM) $(LLIBKNLOPT) $(LLIBPLSB)\
       $(LLIBSERVER) $(LLIBEXTP) $(NAUTAB) $(NAETAB) $(NAEDHS) $(NTZEOBJ) \
       $(NETLIBS) $(LLIBCLIENT) \
       $(LLIBPLSF) $(LLIBICX) $(LLIBOWSUTL) \
       $(LLIBJAVAVMORJOX) \
       $(NETLIBS) $(LLIBEPC) $(SDOLIBS) $(LLIBCORE) $(LLIBVSN) $(LLIBCOMMON)\
       $(LIBGENERIC) $(LLIBKNLOPT) $(NMLIBS) $(CARTLIBS) $(CORELIBS) 
STLIBS=$(ORACLESTLIBS) $(LDLIBS)
LINKSTLIBS=$(ORACLESTLIBS) $(LINKLDLIBS) 

# Exiting /porting/linux06/8161/src/buildtools/mkfile/defs.mk
# Entering /porting/linux06/8161/src/buildtools/mkfile/platform.mk

FAMILY=unix
PLATFORM=linux

MOTIFHOME=
OPENWINHOME=
GUILIBHOME= 

DIRSEP=/



GMAKE=make
LMAKE=make
FIND=/usr/bin/find 
PS=ps -feda

ARCHIVE=@`if echo ${LIB} | grep lib > /dev/null 2>&1;then $(ARCREATE) $(LIB) $? ; $(RANLIB) $(LIB) ; else echo ""; fi`

JARCHIVE=@`if echo ${JLIB} | egrep '\.jar' > /dev/null 2>&1;then $(JARCREATE) $(JLIB) $? ; else echo ""; fi`

GROUP=/etc/group

LINK=$(PURECMDS) gcc $(LDFLAGS) $(COMPOBJS)

LLIBTHREAD=

MOTIFLIBS= -lXm -lXt -lX11 -lgen -lm -lXext -lX11 -lm
XLIBS=
EXOSFLAGS=

CCVER=SC4.2
COMPOBJ=$(ORACLE_HOME)/lib/$(CCVER)
COMPOBJS=

SHAREDLIBPATH = -Wl,-rpath,$(ORACLE_HOME)/lib
EXSYSLIBS=-ldl

LLPPATH=$(LD_LIBRARYPATH)
LINKEXSYSLIBS= -Wl,-rpath,$(ORACLE_HOME)/lib:/lib:/usr/lib

LINKLDLIBS=$(EXPDLIBS) $(EXOSLIBS) $(SYSLIBS) $(LINKEXSYSLIBS) $(MATHLIB) $(USRLIBS) $(LDLIBS)

COBEXSYSLIBS= $(LLAIO) $(THREADLIBS) $(LLIBPOSIX4) $(LLIBKSTAT)
COBLDLIBS=$(EXPDLIBS) $(EXOSLIBS) $(SYSLIBS) $(COBEXSYSLIBS) $(MATHLIB) $(USRLIBS)

OPTIMIZE3=-O3
OPTIMIZE6=-O6
OPTIMIZE=$(OPTIMIZE3)

ROFLAGS=-c -xMerge
SPFLAGS=-DLINUX -D_GNU_SOURCE -D_SVID_GETTOD -DSLTS_ENABLE -DSLMXMX_ENABLE -D_REENTRANT -DREENTRANT -DNS_THREADS

AR=ar
AS=as
CPP=/lib/cpp
CHMOD=/bin/chmod
CHGRP=/bin/chgrp
CHOWN=/bin/chown

ASFLAGS=-K PIC
ASPFLAGS=-P $(PFLAGS)
NOKPIC_ASFLAGS=
ASFLAGS=$(NOKPIC_ASFLAGS) $(KPIC_OPTION)
ASRO=$(AS) $(ASROFLAGS) $(MAKERO) $<
ASROFLAGS=$(ASFLAGS)
CXC=-Xc
CXA=-Xa
ANSI=$(CXC)


MR=-mr
NOKPIC_CCFLAGS=
CCFLAGS= $(NOKPIC_CCFLAGS) $(KPIC_OPTION)
FASTCCFLAGS= $(NOKPIC_CCFLAGS)

SHARED_LDFLAG=-shared -L$(ORACLE_HOME)/lib -o
SHARED_CFLAG=

# Exiting /porting/linux06/8161/src/buildtools/mkfile/platform.mk
# Entering /porting/linux06/8161/src/buildtools/mkfile/rules.mk
 
# Exiting /porting/linux06/8161/src/buildtools/mkfile/rules.mk
# Exiting /porting/linux06/8161/src/buildtools/mkfile/prefix.mk
# Entering /porting/linux06/8161/src/oracore/exports.mk

COREHOME    = $(ORACLE_HOME)/oracore/
ORACOREHOME = $(COREHOME)



CORE_LIB_VER = 8
CORE_LIB_NAME = core
LIBCORE  = $(LIBHOME)$(LIB_PREFIX)$(CORE_LIB_NAME)$(CORE_LIB_VER).$(LIB_EXT)
LLIBCORE = $(LDLIBFLAG)$(CORE_LIB_NAME)$(CORE_LIB_VER)

LIBCORE_ARC_LIB=$(LIBHOME)$(LIB_PREFIX)$(CORE_LIB_NAME)$(CORE_LIB_VER).$(LIB_EXT)

LIBCORE_SHARE_LIB=$(LIBHOME)$(LIB_PREFIX)$(CORE_LIB_NAME)$(CORE_LIB_VER).$(SO_EXT)


SLTS_LIB_VER = 8
SLTS_LIB_NAME = slts
LIBSLTS  = $(LIBHOME)$(LIB_PREFIX)$(SLTS_LIB_NAME)$(SLTS_LIB_VER).$(LIB_EXT)
LLIBSLTS = $(LDLIBFLAG)$(SLTS_LIB_NAME)$(SLTS_LIB_VER)

LIBSLTS_ARC_LIB         = $(LIBHOME)$(LIB_PREFIX)$(SLTS_LIB_NAME)$(SLTS_LIB_VER).$(LIB_EXT)

LIBSLTS_SHARE_LIB       = $(LIBHOME)$(LIB_PREFIX)$(SLTS_LIB_NAME)$(SLTS_LIB_VER).$(SO_EXT)


SLF_LIB_VER = 8
SLF_LIB_NAME = slf
LIBSLF  = $(LIBHOME)$(LIB_PREFIX)$(SLF_LIB_NAME)$(SLF_LIB_VER).$(LIB_EXT)
LLIBSLF = $(LDLIBFLAG)$(SLF_LIB_NAME)$(SLF_LIB_VER)

LIBSLF_ARC_LIB         = $(LIBHOME)$(LIB_PREFIX)$(SLF_LIB_NAME)$(SLF_LIB_VER).$(LIB_EXT)

LIBSLF_SHARE_LIB       = $(LIBHOME)$(LIB_PREFIX)$(SLF_LIB_NAME)$(SLF_LIB_VER).$(SO_EXT)


XB8_LIB_VER = 8
XB8_LIB_NAME = xb8
LIBXB8  = $(LIBHOME)$(LIB_PREFIX)$(XB8_LIB_NAME)$(XB8_LIB_VER).$(LIB_EXT)
LLIBXB8 = $(LDLIBFLAG)$(XB8_LIB_NAME)$(XB8_LIB_VER)

LIBXB8_ARC_LIB         = $(LIBHOME)$(LIB_PREFIX)$(XB8_LIB_NAME)$(XB8_LIB_VER).$(LIB_EXT)

LIBXB8_SHARE_LIB       = $(LIBHOME)$(LIB_PREFIX)$(XB8_LIB_NAME)$(XB8_LIB_VER).$(SO_EXT)


LEH_LIB_VER = 8
LEH_LIB_NAME = leh
LIBLEH  = $(LIBHOME)$(LIB_PREFIX)$(LEH_LIB_NAME)$(LEH_LIB_VER).$(LIB_EXT)
LLIBLEH = $(LDLIBFLAG)$(LEH_LIB_NAME)$(LEH_LIB_VER)

LIBLEH_ARC_LIB         = $(LIBHOME)$(LIB_PREFIX)$(LEH_LIB_NAME)$(LEH_LIB_VER).$(LIB_EXT)

LIBLEH_SHARE_LIB       = $(LIBHOME)$(LIB_PREFIX)$(LEH_LIB_NAME)$(LEH_LIB_VER).$(SO_EXT)


S0MAIN   = $(LIBHOME)s0main.$(OBJ_EXT)
S1MAIN_C = $(COREHOME)src/corehl/lpm/sosd/main/s1main.c
SCOREPT  = $(LIBHOME)scorept.$(OBJ_EXT)
SSCOREED = $(LIBHOME)sscoreed.$(OBJ_EXT)



COREPUBLIC=$(COREHOME)include $(COREHOME)public/

ORACOREPUBH=$(I_SYM)$(COREHOME)include $(I_SYM)$(COREHOME)public $(I_SYM)$(COREHOME)port/include


CORELIBD = $(LIBNLSRTL) $(LIBCV6) $(LIBCORE) $(LIBNLSRTL) $(LIBCORE) \
             $(LIBNLSRTL) 
CORELIBS = $(LLIBNLSRTL) $(LLIBCV6) $(LLIBCORE) $(LLIBNLSRTL) $(LLIBCORE) \
             $(LLIBNLSRTL) 




# Entering /porting/linux06/8161/src/oracore/s_exports.mk
 
# Exiting /porting/linux06/8161/src/oracore/s_exports.mk
# Exiting /porting/linux06/8161/src/oracore/exports.mk
# Entering /porting/linux06/8161/src/nlsrtl/exports.mk

NLSRTLHOME= $(ORACLE_HOME)/nlsrtl/


ORA_NLS = $(ORACLE_HOME)/ocommon/nls/admin/data/
ORA_NLS33 = $(ORACLE_HOME)/ocommon/nls/admin/data/

LIBNLSRTLNAME = nls8
LIBNLSRTL= $(LIBHOME)$(LIB_PREFIX)$(LIBNLSRTLNAME).$(LIB_EXT)
LLIBNLSRTL= $(LDLIBFLAG)$(LIBNLSRTLNAME)$(LIB_SUFFIX)

NLSRTLPUBH = $(I_SYM)$(NLSRTLHOME)include

JNLSHOME = $(ORACLE_HOME)/nlsrtl3/java
JNLSCLASSES = $(ORACLE_HOME)/nlsrtl/lib/jnls.zip
JNLSCHARSET = $(ORACLE_HOME)/nlsrtl/lib/jnls_charset.zip

# Entering /porting/linux06/8161/src/nlsrtl/s_exports.mk


# Exiting /porting/linux06/8161/src/nlsrtl/s_exports.mk
# Exiting /porting/linux06/8161/src/nlsrtl/exports.mk
# Entering /porting/linux06/8161/src/network/exports.mk
# Entering /porting/linux06/8161/src/network/s_exports.mk

NATIVE =

NAETAB64	= $(LIBHOME)naeet.$(OBJ_EXT) $(LIBHOME)naect.$(OBJ_EXT)
NAEDHS64	= $(LIBHOME)naedhs.$(OBJ_EXT)
NAUTAB64	= $(LIBHOME)nautab.$(OBJ_EXT)


# Exiting /porting/linux06/8161/src/network/s_exports.mk

# Entering /porting/linux06/8161/src/network/libnames.mk


VER         =8
BASENAME    =n
NETWORKHOME = $(ORACLE_HOME)/network/
NETWORKLIB  = $(NETWORKHOME)lib/
NETWORKJLIB  = $(NETWORKHOME)jlib/

COMMONNAME=${BASENAME}${VER}
NLNAME=${BASENAME}l${VER}
TCPNAME=${BASENAME}tcp${VER}
DECNETNAME=${BASENAME}dec${VER}
LU62NAME=${BASENAME}lu62${VER}
MBNAME=${BASENAME}mb${VER}
DCENAME=${BASENAME}dce${VER}
BEQNAME=${BASENAME}beq${VER}
IPCNAME=${BASENAME}ipc${VER}
SPXNAME=${BASENAME}spx${VER}
TLINAME=${BASENAME}tli${VER}
TLITNAME=${BASENAME}tlit${VER}
TLISNAME=${BASENAME}tlis${VER}
TLIDNAME=${BASENAME}tlid${VER}
USNAME=${BASENAME}us${VER}
SHMNAME=${BASENAME}shm${VER}
TCPSNAME=${BASENAME}tcps${VER}
ENTRUSTNAME=${BASENAME}ent${VER}
NSGRNAME=${BASENAME}sgr${VER}
LSNRNAME=${BASENAME}lsnr${VER}
LSNRCNAME=${BASENAME}lsnrc${VER}
K5NAME=${BASENAME}k5${VER}
RADNAME=${BASENAME}rad${VER}
IDXNAME=${BASENAME}idx${VER}
GSSNAME=${BASENAME}gss${VER}
SIDNAME=${BASENAME}sid${VER}
OSSNAME=${BASENAME}oss${VER}
NTSNAME=${BASENAME}nts${VER}
NSSNAME=${BASENAME}nss${VER}
ONNAME=${BASENAME}on${VER}
ONDNAME=${BASENAME}ond${VER}
ONCNAME=${BASENAME}onc${VER}
ONCJNAME=${BASENAME}oncj${VER}
RONAME=${BASENAME}ro${VER}
ROCNAME=${BASENAME}roc${VER}
ROXNAME=${BASENAME}rox${VER}
ROTNAME=${BASENAME}rot${VER}
CMNAME=${BASENAME}cm${VER}
NHOSTNAME=${BASENAME}host${VER}
TNSNAME=${BASENAME}tns${VER}
ORACLENAME=${BASENAME}oname${VER}
NISNAME=${BASENAME}nis${VER}
CDSNAME=${BASENAME}cds${VER}
NDSNAME=${BASENAME}nds${VER}
LDAPNAME=${BASENAME}ldap${VER}
LDAPJNAME=${BASENAME}ldapj${VER}
SSLBNAME=${BASENAME}sslb${VER}
NUJNINAME=${BASENAME}jni${VER}
NZJSNAME=${BASENAME}zjs${VER}
JSSLNAME=${BASENAME}jssl${VER}

NMPNAME=${BASENAME}nmp${VER}

TANAME=${BASENAME}ta${VER}
TALNAME=${BASENAME}tal${VER}
TNSAPINAME=tnsapi${VER}

LDAPCLNTNAME=ldapclnt${VER}

NZRNAME=nzr



SNLPTDUM         =  $(NETWORKLIB)snlptdum.$(OBJ_EXT) 
OSNTABST         = $(NETWORKLIB)osntabst.$(OBJ_EXT)
NNFGT            = $(NETWORKLIB)nnfgt.$(OBJ_EXT)

LIBNETWORK	 =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBTHINNCR       =  $(NETWORKLIB)$(LIB_PREFIX)$(ROTNAME).$(LIB_EXT)

LIBONCJ          =  $(NETWORKLIB)$(LIB_PREFIX)$(ONCJNAME).$(SO_EXT)
LIBNUJNI         =  $(NETWORKLIB)$(LIB_PREFIX)$(NUJNINAME).$(SO_EXT)
LIBJSSL          =  $(NETWORKLIB)$(LIB_PREFIX)$(JSSLNAME).$(SO_EXT)

LIBNCR           =  $(NETWORKLIB)$(LIB_PREFIX)$(RONAME).$(LIB_EXT)
LIBNFP           =  $(NETWORKLIB)$(LIB_PREFIX)$(CMNAME).$(LIB_EXT)
LIBNI            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNNCC          =  $(NETWORKLIB)$(LIB_PREFIX)$(ONCNAME).$(LIB_EXT)
LIBNND           =  $(NETWORKLIB)$(LIB_PREFIX)$(ONDNAME).$(LIB_EXT)
LIBNNO           =  $(NETWORKLIB)$(LIB_PREFIX)$(ONNAME).$(LIB_EXT)
LIBNSGR          =  $(NETWORKLIB)$(LIB_PREFIX)$(NSGRNAME).$(LIB_EXT)
LIBNSGL          =  $(NETWORKLIB)$(LIB_PREFIX)$(LSNRNAME).$(LIB_EXT)
LIBNSGLC         =  $(NETWORKLIB)$(LIB_PREFIX)$(LSNRCNAME).$(LIB_EXT)

LLIBNCR           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(RONAME)$(ILIB_SUFFIX)
LLIBNFP           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(CMNAME)$(ILIB_SUFFIX)
LLIBNI            =  $(LDLIBFLAG)$(ILIB_PREFIX)$(COMMONNAME)$(ILIB_SUFFIX)
LLIBNNCC          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(ONCNAME)$(ILIB_SUFFIX)
LLIBNND           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(ONDNAME)$(ILIB_SUFFIX)
LLIBNNO           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(ONNAME)$(ILIB_SUFFIX)
LLIBNSGR          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(NSGRNAME)$(ILIB_SUFFIX)
LLIBNSGL          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(LSNRNAME)$(ILIB_SUFFIX)
LLIBNSGLC         =  $(LDLIBFLAG)$(ILIB_PREFIX)$(LSNRCNAME)$(ILIB_SUFFIX)

LIBNAUK5         =  $(NETWORKLIB)$(LIB_PREFIX)$(K5NAME).$(LIB_EXT)
LIBNAUS          =  $(NETWORKLIB)$(LIB_PREFIX)$(SIDNAME).$(LIB_EXT)
LIBNAUR          =  $(NETWORKLIB)$(LIB_PREFIX)$(RADNAME).$(LIB_EXT)
LIBNAUI          =  $(NETWORKLIB)$(LIB_PREFIX)$(IDXNAME).$(LIB_EXT)
LIBNAUG          =  $(NETWORKLIB)$(LIB_PREFIX)$(GSSNAME).$(LIB_EXT)
LIBNAUZ          =  $(NETWORKLIB)$(LIB_PREFIX)$(OSSNAME).$(LIB_EXT)
LIBNAUNTS        =  $(NETWORKLIB)$(LIB_PREFIX)$(NTSNAME).$(LIB_EXT)

LLIBNAUK5         =  $(LDLIBFLAG)$(ILIB_PREFIX)$(K5NAME)$(ILIB_SUFFIX)
LLIBNAUS          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(SIDNAME)$(ILIB_SUFFIX)
LLIBNAUR          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(RADNAME)$(ILIB_SUFFIX)
LLIBNAUI          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(IDXNAME)$(ILIB_SUFFIX)
LLIBNAUG          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(GSSNAME)$(ILIB_SUFFIX)
LLIBNAUZ          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(OSSNAME)$(ILIB_SUFFIX)
LLIBNAUNTS        =  $(LDLIBFLAG)$(ILIB_PREFIX)$(NTSNAME)$(ILIB_SUFFIX)



LIBNTT           =  $(NETWORKLIB)$(LIB_PREFIX)$(TCPNAME).$(LIB_EXT)
LIBNTZ           =  $(NETWORKLIB)$(LIB_PREFIX)$(TCPSNAME).$(LIB_EXT)
LIBNTZSTUB       =  $(NETWORKLIB)$(LIB_PREFIX)$(TCPSNAME)_std.$(LIB_EXT)
LIBNTZE          =  $(NETWORKLIB)$(LIB_PREFIX)$(ENTRUSTNAME).$(LIB_EXT)
LIBNTS           =  $(NETWORKLIB)$(LIB_PREFIX)$(SPXNAME).$(LIB_EXT)
LIBNTD           =  $(NETWORKLIB)$(LIB_PREFIX)$(DECNETNAME).$(LIB_EXT)
LIBNTOD          =  $(NETWORKLIB)$(LIB_PREFIX)$(DCENAME).$(LIB_EXT)
LIBCDS           =  $(NETWORKLIB)$(LIB_PREFIX)$(CDSNAME).$(LIB_EXT)
LIBNTLU62        =  $(NETWORKLIB)$(LIB_PREFIX)$(LU62NAME).$(LIB_EXT)
LIBNTTLI	 =  $(NETWORKLIB)$(LIB_PREFIX)$(TLINAME).$(LIB_EXT)
LIBNTUS          =  $(NETWORKLIB)$(LIB_PREFIX)$(USNAME).$(LIB_EXT)
LIBNTSHM         =  $(NETWORKLIB)$(LIB_PREFIX)$(SHMNAME).$(LIB_EXT)
LIBNTP           =  $(NETWORKLIB)$(LIB_PREFIX)$(BEQNAME).$(LIB_EXT)
LIBNTNP          =  $(NETWORKLIB)$(LIB_PREFIX)$(NMPNAME).$(LIB_EXT)

LLIBNTT           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TCPNAME)$(ILIB_SUFFIX)
LLIBNTZ           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TCPSNAME)$(ILIB_SUFFIX)
LLIBNTZE          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(ENTRUSTNAME)$(ILIB_SUFFIX)
LLIBNTS           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(SPXNAME)$(ILIB_SUFFIX)
LLIBNTD           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(DECNETNAME)$(ILIB_SUFFIX)
LLIBNTOD          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(DCENAME)$(ILIB_SUFFIX)
LLIBCDS           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(CDSNAME)$(ILIB_SUFFIX)
LLIBNTLU62        =  $(LDLIBFLAG)$(ILIB_PREFIX)$(LU62NAME)$(ILIB_SUFFIX)
LLIBNTTLI	 =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TLINAME)$(ILIB_SUFFIX)
LLIBNTUS          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(USNAME)$(ILIB_SUFFIX)
LLIBNTSHM        = $(NETWORKLIB)$(LIB_PREFIX)$(SHMNAME)$(ILIB_SUFFIX)
LLIBNTP           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(BEQNAME)$(ILIB_SUFFIX)
LLIBNTNP          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(NMPNAME)$(ILIB_SUFFIX)

LIBNL1           =  $(NETWORKLIB)$(LIB_PREFIX)$(NLNAME).$(LIB_EXT)
LIBNL2           =  $(NETWORKLIB)$(LIB_PREFIX)$(NLNAME).$(LIB_EXT)

LIBNL            =  $(NETWORKLIB)$(LIB_PREFIX)$(NLNAME).$(LIB_EXT)
LLIBNL           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(NLNAME)$(ILIB_SUFFIX)


LIBNUAPI         =  $(NETWORKLIB)$(LIB_PREFIX)$(TANAME).$(LIB_EXT)
LIBNULOCAL       =  $(NETWORKLIB)$(LIB_PREFIX)$(TALNAME).$(LIB_EXT)

LLIBNUAPI         =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TANAME)$(ILIB_SUFFIX)
LLIBNULOCAL       =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TALNAME)$(ILIB_SUFFIX)


LLIBTNSAPI       = $(LDLIBFLAG)$(ILIB_PREFIX)$(TNSAPINAME)$(ILIB_SUFFIX)
LLIBNUAPI	 = $(LDLIBFLAG)$(ILIB_PREFIX)$(TANAME)$(ILIB_SUFFIX)
LLIBNULOCAL	 = $(LDLIBFLAG)$(ILIB_PREFIX)$(TALNAME)$(ILIB_SUFFIX)
LLIBSSL          = #$(LDLIBFLAG)$(ILIB_PREFIX)sslref-bsafe$(ILIB_SUFFIX)
LLIBSSLB         = $(LDLIBFLAG)$(ILIB_PREFIX)$(SSLBNAME)$(ILIB_SUFFIX)
LLIBNZJS 	 = $(LDLIBFLAG)$(ILIB_PREFIX)$(NZJSNAME)$(ILIB_SUFFIX)


LIBNA            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNAE           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNAU           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNLNV          =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNMP           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNNCI          =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNNFG          =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNNG           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNPL           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNR            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNS            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNT            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNTR           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNZ            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNMS0          =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBSSLREF 	 =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)


LIBTNSAPI        =  $(NETWORKLIB)$(LIB_PREFIX)$(TNSAPINAME).$(LIB_EXT)

LIBSSLB          =  $(NETWORKLIB)$(LIB_PREFIX)$(SSLBNAME).$(LIB_EXT)

LIBNZJS          =  $(NETWORKLIB)$(LIB_PREFIX)$(NZJSNAME).$(LIB_EXT)

LDAPSYSLIBD = $(LIBHOME)$(LIB_PREFIX)$(LDAPCLNTNAME).$(LIB_EXT)
LDAPSYSLIBS = $(LDLIBFLAG)$(ILIB_PREFIX)$(LDAPCLNTNAME)$(ILIB_SUFFIX)

JREGRESSNAME=regress$(JDKVER)
JOWMNAME=owm-2_1$(JDKVER)
JOWMHELPNAME=owm-help-2_1
JLIOHELPNAME=lio-help-1_1
JDIROSMNAME=dirosm-1.0$(JDKVER)
JNETTHINNAME=netthin$(JDKVER)
JNETRADIUSNAME=netradius$(JDKVER)
JNETCFGNAME=netcfg$(JDKVER)
JNETCANAME=netca$(JDKVER)
JNETCAMESGNAME=netcam$(JDKVER)
JNETASSTNAME=netasst$(JDKVER)
JNETASSTMESGNAME=netasstm$(JDKVER)
JTNSADDRNAME=tnsaddr$(JDKVER)
JTNSADDRESSNAME=tnsaddress$(JDKVER)
JNETENTRUSTNAME=netentrust$(JDKVER)

JLDAPNAME=ldap
JSYSMANMAFNAME=sysmanmaf
JOEMDBAPPNAME=OEM_DBAPP
JJNDINAME=jndi

JREGRESSJAR=$(NETWORKJLIB)$(JREGRESSNAME).$(JAR_EXT)
JOWMJAR=$(NETWORKJLIB)$(JOWMNAME).$(JAR_EXT)
JDIROSMJAR=$(NETWORKJLIB)$(JDIROSMNAME).$(JAR_EXT)
JNETTHINJAR=$(NETWORKJLIB)$(JNETTHINNAME).$(JAR_EXT)
JNETRADIUSJAR=$(NETWORKJLIB)$(JNETRADIUSNAME).$(JAR_EXT)
JNETCFGJAR=$(NETWORKJLIB)$(JNETCFGNAME).$(JAR_EXT)
JNETCAJAR=$(NETWORKJLIB)$(JNETCANAME).$(JAR_EXT)
JNETCAMESGJAR=$(NETWORKJLIB)$(JNETCAMESGNAME).$(JAR_EXT)
JNETASSTJAR=$(NETWORKJLIB)$(JNETASSTNAME).$(JAR_EXT)
JNETASSTMESGJAR=$(NETWORKJLIB)$(JNETASSTMESGNAME).$(JAR_EXT)
JTNSADDRESSJAR=$(NETWORKJLIB)$(JTNSADDRESSNAME).$(JAR_EXT)
JTNSADDRJAR=$(NETWORKJLIB)$(JTNSADDRNAME).$(JAR_EXT)
JLDAPJAR=$(NETWORKJLIB)$(JLDAPNAME).$(JAR_EXT)
JSYSMANMAFJAR=$(NETWORKJLIB)$(JSYSMANMAFNAME).$(JAR_EXT)
JOEMDBAPPJAR=$(NETWORKJLIB)$(JOEMDBAPPNAME).$(JAR_EXT)
JJNDIJAR=$(NETWORKJLIB)$(JJNDINAME).$(JAR_EXT)
JNETENTRUSTJAR=$(NETWORKJLIB)$(JNETENTRUSTNAME).$(JAR_EXT)


# Exiting /porting/linux06/8161/src/network/libnames.mk

# Entering /porting/linux06/8161/src/buildtools/mkfile/prefix.mk

# Entering /porting/linux06/8161/src/buildtools/mkfile/defs.mk

SHELL=/bin/sh

AS_EXT=s
LIB_EXT=a
OBJ_EXT=o
PLB_EXT=plb
SO_EXT=so
LOCK_EXT=lk
SQL_EXT=sql
SYM_EXT=sym
JAVA_EXT=java
CLASS_EXT=class
JAR_EXT=jar
ZIP_EXT=zip

LIB_PREFIX=lib
LDLIBFLAG=-l
LDPATHFLAG=-L
PATHSEP= :

AR=ar
AS=as
AWK=awk
CAT=cat
CC=cc
CD=cd
CHMOD=chmod
CP=cp
CPP=cpp
DATE=date
ECHO=echo
ECHON=echo -n
EXEC=exec
FIND=find
FOLLOW=-follow
NOLEAF=-noleaf
GREP=grep
KILL=kill
SLEEP=sleep
LD=ld
LMAKE=make
LN=ln
LNS=ln -s
MKDIR=mkdir
MKDIRP=mkdir -p
MV=mv
NM=nm
PERL=perl
RM=rm
RMF=rm -f
RMRF=rm -rf
SED=sed
SORT=sort
TOUCH=touch
XARGS=xargs
LS=ls

NULL_DEVICE=/dev/null


BINHOME=$(ORACLE_HOME)/bin/
LIBHOME=$(ORACLE_HOME)/lib/

PRODHOME=$(ORACLE_HOME)/$(PRODUCT)/
PRODLIBHOME=$(PRODHOME)lib/
PRODSOHOME=$(PRODLIBHOME)

ECHODO=$(BINHOME)echodo
GENSYSLIB=$(BINHOME)gensyslib
GENCLNTSH=$(BINHOME)genclntsh
GENAGTSH=$(BINHOME)genagtsh
GENNAFLG=$(BINHOME)gennaflg
GENAUTAB=$(BINHOME)genautab

ARCHIVE_OBJ=$(AR) r $@ $*.$(OBJ_EXT)
ARCREATE=$(AR) cr$(ARLOCAL)
ARDELETE=$(AR) d$(ARLOCAL)
AREXTRACT=$(AR) x 
ARPRINT=$(AR) t
ARREPLACE=$(AR) r 
DOAR=$(ARCREATE) $@ $? ; $(RANLIB) $@


JARCHIVE_OBJ=$(JAR) cv0f $@ $(JPKG_FILES) $(EXTRA_CLASS_FILES)
JARCREATE=$(JAR) cv0f
JARDELETE=$(ECHO) "no such thing"
JAREXTRACT=$(JAR) xf
JARPRINT=$(JAR) tvf
JARREPLACE=$(JAR) uf

MAKE=$(LMAKE)
QUIET=>/dev/null 2>&1
QUIETE=2>/dev/null
SILENT=@
CTSMAKEFLAGS=$(SILENT:@=--no-print-directory -s)

CFLAGS=$(GFLAG) $(OPTIMIZE) $(CCFLAGS) $(QACCFLAGS) $(PFLAGS)\
	$(SHARED_CFLAG) $(USRFLAGS)

PFLAGS=$(INCLUDE) $(SPFLAGS) $(LPFLAGS)

LDCCOM=$(PURECMDS) $(CC) $(GFLAG) $(CCFLAGS) $(EXOSFLAGS) $(LDFLAGS)
PURECMDS=$(PURELINK) $(PURIFY) $(PURECOV) $(QUANTIFY)
LINK=$(LDCCOM)
LDFLAGS=-o $@ -L$(PRODLIBHOME) -L$(LIBHOME)
LDLIBS=$(EXPDLIBS) $(EXOSLIBS) $(SYSLIBS) $(EXSYSLIBS) $(MATHLIB) $(USRLIBS)
MATHLIB=-lm
LINKLDLIBS=$(LDLIBS)
COBLDLIBS=$(LDLIBS)
COMPATLIB=-lcompat
SYSLIBLIST=$(LIBHOME)sysliblist
SYSLIBS=`$(CAT) $(SYSLIBLIST)`
RANLIB=/usr/bin/ranlib
RANLIBCMD=/usr/bin/ranlib
NAETTOBJS=$(NAUTAB) $(NAETAB) $(NAEDHS)
TTLIBD=$(NETLIBD) $(LIBRDBMS_CLT) $(LIBMM) $(CORELIBD) $(LIBEPC) $(LIBCLNTSH)
ORACLETTLIBS=$(NTZEOBJ) $(NETLIBS) $(LLIBRDBMS_CLT) $(LLIBWTC) $(LLIBMM) $(CORELIBS)\
       $(NETLIBS) $(LLIBRDBMS_CLT) $(LIBPLS_CLT) $(LLIBEPC) $(CORELIBS) \
       $(LLIBRDBMS_CLT) $(CORELIBS)
STATICTTLIBS=$(ORACLETTLIBS) $(LDLIBS)
TTLIBS=$(LLIBCLNTSH) $(STATICTTLIBS) $(LINKLDLIBS)
DEVTTLIBS=$(TTLIBS)
LINKTTLIBS=$(LLIBCLNTSH) $(ORACLETTLIBS) $(LINKLDLIBS)
COBTTLIBS=$(ORACLETTLIBS) $(COBLDLIBS)

ORACLESTLIBS=$(SGL_ON) $(CONFIG) $(LLIBSERVER) $(LLIBSKGXP) $(LLIBPLSF) \
       $(LLIBSLAX) \
       $(LIBGENERIC) $(LLIBCLIENT) $(LLIBWTC) $(LLIBMM) $(LLIBKNLOPT) $(LLIBPLSB)\
       $(LLIBSERVER) $(LLIBEXTP) $(NAUTAB) $(NAETAB) $(NAEDHS) $(NTZEOBJ) \
       $(NETLIBS) $(LLIBCLIENT) \
       $(LLIBPLSF) $(LLIBICX) $(LLIBOWSUTL) \
       $(LLIBJAVAVMORJOX) \
       $(NETLIBS) $(LLIBEPC) $(SDOLIBS) $(LLIBCORE) $(LLIBVSN) $(LLIBCOMMON)\
       $(LIBGENERIC) $(LLIBKNLOPT) $(NMLIBS) $(CARTLIBS) $(CORELIBS)
OSTLIBS= $(LLIBPLSF) $(LLIBSLAX) \
       $(LLIBCLIENT) $(LLIBMM) $(LLIBPLSB) $(SDOLIBS) $(LLIBSERVER) \
       $(LLIBPLSF) $(LLIBICX) $(LLIBOWSUTL) \
       $(LLIBCOMMON) $(LIBGENERIC) $(CORELIBS)
STLIBS=$(ORACLESTLIBS) $(LDLIBS)
LINKSTLIBS=$(ORACLESTLIBS) $(LINKLDLIBS) $(OSTLIBS)

# Exiting /porting/linux06/8161/src/buildtools/mkfile/defs.mk
# Entering /porting/linux06/8161/src/buildtools/mkfile/platform.mk

FAMILY=unix
PLATFORM=linux

MOTIFHOME=
OPENWINHOME=
GUILIBHOME= 

DIRSEP=/



GMAKE=make
LMAKE=make
FIND=/usr/bin/find 
PS=ps -feda

ARCHIVE=@`if echo ${LIB} | grep lib > /dev/null 2>&1;then $(ARCREATE) $(LIB) $? ; $(RANLIB) $(LIB) ; else echo ""; fi`

JARCHIVE=@`if echo ${JLIB} | egrep '\.jar' > /dev/null 2>&1;then $(JARCREATE) $(JLIB) $? ; else echo ""; fi`

GROUP=/etc/group

LINK=$(PURECMDS) gcc $(LDFLAGS) $(COMPOBJS)

LLIBTHREAD=

MOTIFLIBS= -lXm -lXt -lX11 -lgen -lm -lXext -lX11 -lm
XLIBS=
EXOSFLAGS=

CCVER=SC4.2
COMPOBJ=$(ORACLE_HOME)/lib/$(CCVER)
COMPOBJS=

SHAREDLIBPATH = -Wl,-rpath,$(ORACLE_HOME)/lib
EXSYSLIBS=-ldl

LLPPATH=$(LD_LIBRARYPATH)
LINKEXSYSLIBS= -Wl,-rpath,$(ORACLE_HOME)/lib:/lib:/usr/lib

LINKLDLIBS=$(EXPDLIBS) $(EXOSLIBS) $(SYSLIBS) $(LINKEXSYSLIBS) $(MATHLIB) $(USRLIBS) $(LDLIBS)

COBEXSYSLIBS= $(LLAIO) $(THREADLIBS) $(LLIBPOSIX4) $(LLIBKSTAT)
COBLDLIBS=$(EXPDLIBS) $(EXOSLIBS) $(SYSLIBS) $(COBEXSYSLIBS) $(MATHLIB) $(USRLIBS)

OPTIMIZE3=-O3
OPTIMIZE6=-O6
OPTIMIZE=$(OPTIMIZE3)

ROFLAGS=-c -xMerge
SPFLAGS=-DLINUX -D_GNU_SOURCE -D_SVID_GETTOD -DSLTS_ENABLE -DSLMXMX_ENABLE -D_REENTRANT -DREENTRANT -DNS_THREADS

AR=ar
AS=as
CPP=/lib/cpp
CHMOD=/bin/chmod
CHGRP=/bin/chgrp
CHOWN=/bin/chown

ASFLAGS=-K PIC
ASPFLAGS=-P $(PFLAGS)
NOKPIC_ASFLAGS=
ASFLAGS=$(NOKPIC_ASFLAGS) $(KPIC_OPTION)
ASRO=$(AS) $(ASROFLAGS) $(MAKERO) $<
ASROFLAGS=$(ASFLAGS)
CXC=-Xc
CXA=-Xa
ANSI=$(CXC)


MR=-mr
NOKPIC_CCFLAGS=
CCFLAGS= $(NOKPIC_CCFLAGS) $(KPIC_OPTION)
FASTCCFLAGS= $(NOKPIC_CCFLAGS)

SHARED_LDFLAG=-shared -L$(ORACLE_HOME)/lib -o
SHARED_CFLAG=

# Exiting /porting/linux06/8161/src/buildtools/mkfile/platform.mk
# Entering /porting/linux06/8161/src/buildtools/mkfile/rules.mk
 
# Exiting /porting/linux06/8161/src/buildtools/mkfile/rules.mk
# Exiting /porting/linux06/8161/src/buildtools/mkfile/prefix.mk

# Entering /porting/linux06/8161/src/network/adapters.mk


# Entering /porting/linux06/8161/src/network/libnames.mk


VER         =8
BASENAME    =n
NETWORKHOME = $(ORACLE_HOME)/network/
NETWORKLIB  = $(NETWORKHOME)lib/
NETWORKJLIB  = $(NETWORKHOME)jlib/

COMMONNAME=${BASENAME}${VER}
NLNAME=${BASENAME}l${VER}
TCPNAME=${BASENAME}tcp${VER}
DECNETNAME=${BASENAME}dec${VER}
LU62NAME=${BASENAME}lu62${VER}
MBNAME=${BASENAME}mb${VER}
DCENAME=${BASENAME}dce${VER}
BEQNAME=${BASENAME}beq${VER}
IPCNAME=${BASENAME}ipc${VER}
SPXNAME=${BASENAME}spx${VER}
TLINAME=${BASENAME}tli${VER}
TLITNAME=${BASENAME}tlit${VER}
TLISNAME=${BASENAME}tlis${VER}
TLIDNAME=${BASENAME}tlid${VER}
USNAME=${BASENAME}us${VER}
SHMNAME=${BASENAME}shm${VER}
TCPSNAME=${BASENAME}tcps${VER}
ENTRUSTNAME=${BASENAME}ent${VER}
NSGRNAME=${BASENAME}sgr${VER}
LSNRNAME=${BASENAME}lsnr${VER}
LSNRCNAME=${BASENAME}lsnrc${VER}
K5NAME=${BASENAME}k5${VER}
RADNAME=${BASENAME}rad${VER}
IDXNAME=${BASENAME}idx${VER}
GSSNAME=${BASENAME}gss${VER}
SIDNAME=${BASENAME}sid${VER}
OSSNAME=${BASENAME}oss${VER}
NTSNAME=${BASENAME}nts${VER}
NSSNAME=${BASENAME}nss${VER}
ONNAME=${BASENAME}on${VER}
ONDNAME=${BASENAME}ond${VER}
ONCNAME=${BASENAME}onc${VER}
ONCJNAME=${BASENAME}oncj${VER}
RONAME=${BASENAME}ro${VER}
ROCNAME=${BASENAME}roc${VER}
ROXNAME=${BASENAME}rox${VER}
ROTNAME=${BASENAME}rot${VER}
CMNAME=${BASENAME}cm${VER}
NHOSTNAME=${BASENAME}host${VER}
TNSNAME=${BASENAME}tns${VER}
ORACLENAME=${BASENAME}oname${VER}
NISNAME=${BASENAME}nis${VER}
CDSNAME=${BASENAME}cds${VER}
NDSNAME=${BASENAME}nds${VER}
LDAPNAME=${BASENAME}ldap${VER}
LDAPJNAME=${BASENAME}ldapj${VER}
SSLBNAME=${BASENAME}sslb${VER}
NUJNINAME=${BASENAME}jni${VER}
NZJSNAME=${BASENAME}zjs${VER}
JSSLNAME=${BASENAME}jssl${VER}

NMPNAME=${BASENAME}nmp${VER}

TANAME=${BASENAME}ta${VER}
TALNAME=${BASENAME}tal${VER}
TNSAPINAME=tnsapi${VER}

LDAPCLNTNAME=ldapclnt${VER}

NZRNAME=nzr



SNLPTDUM         =  $(NETWORKLIB)snlptdum.$(OBJ_EXT) 
OSNTABST         = $(NETWORKLIB)osntabst.$(OBJ_EXT)
NNFGT            = $(NETWORKLIB)nnfgt.$(OBJ_EXT)

LIBNETWORK	 =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBTHINNCR       =  $(NETWORKLIB)$(LIB_PREFIX)$(ROTNAME).$(LIB_EXT)

LIBONCJ          =  $(NETWORKLIB)$(LIB_PREFIX)$(ONCJNAME).$(SO_EXT)
LIBNUJNI         =  $(NETWORKLIB)$(LIB_PREFIX)$(NUJNINAME).$(SO_EXT)
LIBJSSL          =  $(NETWORKLIB)$(LIB_PREFIX)$(JSSLNAME).$(SO_EXT)

LIBNCR           =  $(NETWORKLIB)$(LIB_PREFIX)$(RONAME).$(LIB_EXT)
LIBNFP           =  $(NETWORKLIB)$(LIB_PREFIX)$(CMNAME).$(LIB_EXT)
LIBNI            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNNCC          =  $(NETWORKLIB)$(LIB_PREFIX)$(ONCNAME).$(LIB_EXT)
LIBNND           =  $(NETWORKLIB)$(LIB_PREFIX)$(ONDNAME).$(LIB_EXT)
LIBNNO           =  $(NETWORKLIB)$(LIB_PREFIX)$(ONNAME).$(LIB_EXT)
LIBNSGR          =  $(NETWORKLIB)$(LIB_PREFIX)$(NSGRNAME).$(LIB_EXT)
LIBNSGL          =  $(NETWORKLIB)$(LIB_PREFIX)$(LSNRNAME).$(LIB_EXT)
LIBNSGLC         =  $(NETWORKLIB)$(LIB_PREFIX)$(LSNRCNAME).$(LIB_EXT)

LLIBNCR           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(RONAME)$(ILIB_SUFFIX)
LLIBNFP           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(CMNAME)$(ILIB_SUFFIX)
LLIBNI            =  $(LDLIBFLAG)$(ILIB_PREFIX)$(COMMONNAME)$(ILIB_SUFFIX)
LLIBNNCC          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(ONCNAME)$(ILIB_SUFFIX)
LLIBNND           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(ONDNAME)$(ILIB_SUFFIX)
LLIBNNO           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(ONNAME)$(ILIB_SUFFIX)
LLIBNSGR          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(NSGRNAME)$(ILIB_SUFFIX)
LLIBNSGL          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(LSNRNAME)$(ILIB_SUFFIX)
LLIBNSGLC         =  $(LDLIBFLAG)$(ILIB_PREFIX)$(LSNRCNAME)$(ILIB_SUFFIX)

LIBNAUK5         =  $(NETWORKLIB)$(LIB_PREFIX)$(K5NAME).$(LIB_EXT)
LIBNAUS          =  $(NETWORKLIB)$(LIB_PREFIX)$(SIDNAME).$(LIB_EXT)
LIBNAUR          =  $(NETWORKLIB)$(LIB_PREFIX)$(RADNAME).$(LIB_EXT)
LIBNAUI          =  $(NETWORKLIB)$(LIB_PREFIX)$(IDXNAME).$(LIB_EXT)
LIBNAUG          =  $(NETWORKLIB)$(LIB_PREFIX)$(GSSNAME).$(LIB_EXT)
LIBNAUZ          =  $(NETWORKLIB)$(LIB_PREFIX)$(OSSNAME).$(LIB_EXT)
LIBNAUNTS        =  $(NETWORKLIB)$(LIB_PREFIX)$(NTSNAME).$(LIB_EXT)

LLIBNAUK5         =  $(LDLIBFLAG)$(ILIB_PREFIX)$(K5NAME)$(ILIB_SUFFIX)
LLIBNAUS          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(SIDNAME)$(ILIB_SUFFIX)
LLIBNAUR          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(RADNAME)$(ILIB_SUFFIX)
LLIBNAUI          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(IDXNAME)$(ILIB_SUFFIX)
LLIBNAUG          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(GSSNAME)$(ILIB_SUFFIX)
LLIBNAUZ          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(OSSNAME)$(ILIB_SUFFIX)
LLIBNAUNTS        =  $(LDLIBFLAG)$(ILIB_PREFIX)$(NTSNAME)$(ILIB_SUFFIX)



LIBNTT           =  $(NETWORKLIB)$(LIB_PREFIX)$(TCPNAME).$(LIB_EXT)
LIBNTZ           =  $(NETWORKLIB)$(LIB_PREFIX)$(TCPSNAME).$(LIB_EXT)
LIBNTZSTUB       =  $(NETWORKLIB)$(LIB_PREFIX)$(TCPSNAME)_std.$(LIB_EXT)
LIBNTZE          =  $(NETWORKLIB)$(LIB_PREFIX)$(ENTRUSTNAME).$(LIB_EXT)
LIBNTS           =  $(NETWORKLIB)$(LIB_PREFIX)$(SPXNAME).$(LIB_EXT)
LIBNTD           =  $(NETWORKLIB)$(LIB_PREFIX)$(DECNETNAME).$(LIB_EXT)
LIBNTOD          =  $(NETWORKLIB)$(LIB_PREFIX)$(DCENAME).$(LIB_EXT)
LIBCDS           =  $(NETWORKLIB)$(LIB_PREFIX)$(CDSNAME).$(LIB_EXT)
LIBNTLU62        =  $(NETWORKLIB)$(LIB_PREFIX)$(LU62NAME).$(LIB_EXT)
LIBNTTLI	 =  $(NETWORKLIB)$(LIB_PREFIX)$(TLINAME).$(LIB_EXT)
LIBNTUS          =  $(NETWORKLIB)$(LIB_PREFIX)$(USNAME).$(LIB_EXT)
LIBNTSHM         =  $(NETWORKLIB)$(LIB_PREFIX)$(SHMNAME).$(LIB_EXT)
LIBNTP           =  $(NETWORKLIB)$(LIB_PREFIX)$(BEQNAME).$(LIB_EXT)
LIBNTNP          =  $(NETWORKLIB)$(LIB_PREFIX)$(NMPNAME).$(LIB_EXT)

LLIBNTT           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TCPNAME)$(ILIB_SUFFIX)
LLIBNTZ           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TCPSNAME)$(ILIB_SUFFIX)
LLIBNTZE          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(ENTRUSTNAME)$(ILIB_SUFFIX)
LLIBNTS           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(SPXNAME)$(ILIB_SUFFIX)
LLIBNTD           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(DECNETNAME)$(ILIB_SUFFIX)
LLIBNTOD          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(DCENAME)$(ILIB_SUFFIX)
LLIBCDS           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(CDSNAME)$(ILIB_SUFFIX)
LLIBNTLU62        =  $(LDLIBFLAG)$(ILIB_PREFIX)$(LU62NAME)$(ILIB_SUFFIX)
LLIBNTTLI	 =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TLINAME)$(ILIB_SUFFIX)
LLIBNTUS          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(USNAME)$(ILIB_SUFFIX)
LLIBNTSHM        = $(NETWORKLIB)$(LIB_PREFIX)$(SHMNAME)$(ILIB_SUFFIX)
LLIBNTP           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(BEQNAME)$(ILIB_SUFFIX)
LLIBNTNP          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(NMPNAME)$(ILIB_SUFFIX)

LIBNL1           =  $(NETWORKLIB)$(LIB_PREFIX)$(NLNAME).$(LIB_EXT)
LIBNL2           =  $(NETWORKLIB)$(LIB_PREFIX)$(NLNAME).$(LIB_EXT)

LIBNL            =  $(NETWORKLIB)$(LIB_PREFIX)$(NLNAME).$(LIB_EXT)
LLIBNL           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(NLNAME)$(ILIB_SUFFIX)


LIBNUAPI         =  $(NETWORKLIB)$(LIB_PREFIX)$(TANAME).$(LIB_EXT)
LIBNULOCAL       =  $(NETWORKLIB)$(LIB_PREFIX)$(TALNAME).$(LIB_EXT)

LLIBNUAPI         =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TANAME)$(ILIB_SUFFIX)
LLIBNULOCAL       =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TALNAME)$(ILIB_SUFFIX)


LLIBTNSAPI       = $(LDLIBFLAG)$(ILIB_PREFIX)$(TNSAPINAME)$(ILIB_SUFFIX)
LLIBNUAPI	 = $(LDLIBFLAG)$(ILIB_PREFIX)$(TANAME)$(ILIB_SUFFIX)
LLIBNULOCAL	 = $(LDLIBFLAG)$(ILIB_PREFIX)$(TALNAME)$(ILIB_SUFFIX)
LLIBSSL          = #$(LDLIBFLAG)$(ILIB_PREFIX)sslref-bsafe$(ILIB_SUFFIX)
LLIBSSLB         = $(LDLIBFLAG)$(ILIB_PREFIX)$(SSLBNAME)$(ILIB_SUFFIX)
LLIBNZJS 	 = $(LDLIBFLAG)$(ILIB_PREFIX)$(NZJSNAME)$(ILIB_SUFFIX)


LIBNA            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNAE           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNAU           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNLNV          =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNMP           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNNCI          =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNNFG          =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNNG           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNPL           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNR            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNS            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNT            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNTR           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNZ            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNMS0          =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBSSLREF 	 =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)


LIBTNSAPI        =  $(NETWORKLIB)$(LIB_PREFIX)$(TNSAPINAME).$(LIB_EXT)

LIBSSLB          =  $(NETWORKLIB)$(LIB_PREFIX)$(SSLBNAME).$(LIB_EXT)

LIBNZJS          =  $(NETWORKLIB)$(LIB_PREFIX)$(NZJSNAME).$(LIB_EXT)

LDAPSYSLIBD = $(LIBHOME)$(LIB_PREFIX)$(LDAPCLNTNAME).$(LIB_EXT)
LDAPSYSLIBS = $(LDLIBFLAG)$(ILIB_PREFIX)$(LDAPCLNTNAME)$(ILIB_SUFFIX)

JREGRESSNAME=regress$(JDKVER)
JOWMNAME=owm-2_1$(JDKVER)
JOWMHELPNAME=owm-help-2_1
JLIOHELPNAME=lio-help-1_1
JDIROSMNAME=dirosm-1.0$(JDKVER)
JNETTHINNAME=netthin$(JDKVER)
JNETRADIUSNAME=netradius$(JDKVER)
JNETCFGNAME=netcfg$(JDKVER)
JNETCANAME=netca$(JDKVER)
JNETCAMESGNAME=netcam$(JDKVER)
JNETASSTNAME=netasst$(JDKVER)
JNETASSTMESGNAME=netasstm$(JDKVER)
JTNSADDRNAME=tnsaddr$(JDKVER)
JTNSADDRESSNAME=tnsaddress$(JDKVER)
JNETENTRUSTNAME=netentrust$(JDKVER)

JLDAPNAME=ldap
JSYSMANMAFNAME=sysmanmaf
JOEMDBAPPNAME=OEM_DBAPP
JJNDINAME=jndi

JREGRESSJAR=$(NETWORKJLIB)$(JREGRESSNAME).$(JAR_EXT)
JOWMJAR=$(NETWORKJLIB)$(JOWMNAME).$(JAR_EXT)
JDIROSMJAR=$(NETWORKJLIB)$(JDIROSMNAME).$(JAR_EXT)
JNETTHINJAR=$(NETWORKJLIB)$(JNETTHINNAME).$(JAR_EXT)
JNETRADIUSJAR=$(NETWORKJLIB)$(JNETRADIUSNAME).$(JAR_EXT)
JNETCFGJAR=$(NETWORKJLIB)$(JNETCFGNAME).$(JAR_EXT)
JNETCAJAR=$(NETWORKJLIB)$(JNETCANAME).$(JAR_EXT)
JNETCAMESGJAR=$(NETWORKJLIB)$(JNETCAMESGNAME).$(JAR_EXT)
JNETASSTJAR=$(NETWORKJLIB)$(JNETASSTNAME).$(JAR_EXT)
JNETASSTMESGJAR=$(NETWORKJLIB)$(JNETASSTMESGNAME).$(JAR_EXT)
JTNSADDRESSJAR=$(NETWORKJLIB)$(JTNSADDRESSNAME).$(JAR_EXT)
JTNSADDRJAR=$(NETWORKJLIB)$(JTNSADDRNAME).$(JAR_EXT)
JLDAPJAR=$(NETWORKJLIB)$(JLDAPNAME).$(JAR_EXT)
JSYSMANMAFJAR=$(NETWORKJLIB)$(JSYSMANMAFNAME).$(JAR_EXT)
JOEMDBAPPJAR=$(NETWORKJLIB)$(JOEMDBAPPNAME).$(JAR_EXT)
JJNDIJAR=$(NETWORKJLIB)$(JJNDINAME).$(JAR_EXT)
JNETENTRUSTJAR=$(NETWORKJLIB)$(JNETENTRUSTNAME).$(JAR_EXT)


# Exiting /porting/linux06/8161/src/network/libnames.mk

# Entering /porting/linux06/8161/src/network/s_adapters.mk

# Exiting /porting/linux06/8161/src/network/s_adapters.mk

# Exiting /porting/linux06/8161/src/network/adapters.mk


LIBNTTCP     = $(LIBHOME)$(LIB_PREFIX)$(TCPNAME).$(LIB_EXT)
LLIBNTTCP    = $(LDLIBFLAG)$(ILIB_PREFIX)$(TCPNAME)$(ILIB_SUFFIX)

LIBNTOD      = $(LIBHOME)$(LIB_PREFIX)$(DCENAME).$(LIB_EXT)
LLIBNTOD     = $(LDLIBFLAG)$(ILIB_PREFIX)$(DCENAME)$(ILIB_SUFFIX)

LIBCDS      = $(LIBHOME)$(LIB_PREFIX)$(CDSNAME).$(LIB_EXT)
LLIBCDS     = $(LDLIBFLAG)$(ILIB_PREFIX)$(CDSNAME)$(ILIB_SUFFIX)

LIBNTLU62    = $(LIBHOME)$(LIB_PREFIX)$(LU62NAME).$(LIB_EXT)
LLIBNTLU62   = $(LDLIBFLAG)$(ILIB_PREFIX)$(LU62NAME)$(ILIB_SUFFIX)

LIBNTS       = $(LIBHOME)$(LIB_PREFIX)$(SPXNAME).$(LIB_EXT)
LLIBNTS      = $(LDLIBFLAG)$(ILIB_PREFIX)$(SPXNAME)$(ILIB_SUFFIX)

LIBNETWORK   = $(LIBHOME)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LLIBNETWORK  = $(LDLIBFLAG)$(ILIB_PREFIX)$(COMMONNAME)$(ILIB_SUFFIX)

LIBNSGR      = $(LIBHOME)$(LIB_PREFIX)$(NSGRNAME).$(LIB_EXT)
LLIBNSGR     = $(LDLIBFLAG)$(ILIB_PREFIX)$(NSGRNAME)$(ILIB_SUFFIX)

LIBSQLNET  = $(LDFLAGSLIST) $(ANOLIBD) $(PROTOCOLLIBD) $(NATIVELIBD) $(NATIVESYSLIBD) $(LIBNSGR) $(LIBNZJS) $(LIBNETWORK) $(LIBNL)
LLIBSQLNET = $(LDFLAGSLIST) $(ANOLIBS) $(PROTOCOLLIBS) $(NATIVELIBS) $(NATIVESYSLIBS) $(LLIBNSGR) $(LLIBNZJS) $(LLIBNETWORK) $(LLIBNL)

LIBRPC       = $(LIBHOME)$(LIB_PREFIX)$(RONAME).$(LIB_EXT)
LLIBRPC      = $(LDLIBFLAG)$(ILIB_PREFIX)$(RONAME)$(ILIB_SUFFIX)

TNSLSNR	     = $(BINHOME)tnslsnr$(EXE_SUFFIX)
LSNRCTL	     = $(BINHOME)lsnrctl$(EXE_SUFFIX)
NAMES	     = $(BINHOME)names$(EXE_SUFFIX)
NAMESCTL     = $(BINHOME)namesctl$(EXE_SUFFIX)

NIGTAB       = $(LIBHOME)nigtab.$(OBJ_EXT)
NIGCON       = $(LIBHOME)nigcon.$(OBJ_EXT) 
NTCONTAB     = $(LIBHOME)ntcontab.$(OBJ_EXT)
MTS_NCR	     = $(LIBHOME)ncrstab.$(OBJ_EXT)

OSNTABST     = $(NETWORKLIB)osntabst.$(OBJ_EXT)
NNFGT        = $(NETWORKLIB)nnfgt.$(OBJ_EXT)

NAETAB       = $(LIBHOME)naeet.$(OBJ_EXT) $(LIBHOME)naect.$(OBJ_EXT)
NAEDHS	     = $(LIBHOME)naedhs.$(OBJ_EXT)
NAUTAB	     = $(LIBHOME)nautab.$(OBJ_EXT)

NETLIBS      = $(LLIBSQLNET) $(LLIBRPC) $(LLIBSQLNET)
NETLIBD      = $(LIBSQLNET) $(LIBRPC)

LDFLAGSFILE=$(LIBHOME)ldflags
LDFLAGSLIST=`$(CAT) $(LDFLAGSFILE)`

LIBNTP       = $(LIBHOME)$(LIB_PREFIX)$(BEQNAME).$(LIB_EXT)
LIBNL        = $(LIBHOME)$(LIB_PREFIX)$(NLNAME).$(LIB_EXT)
LIBSSLB      = $(LIBHOME)$(LIB_PREFIX)$(SSLBNAME).$(LIB_EXT)

NETWORKHOME  = $(ORACLE_HOME)/network/
NETWORKADMIN = $(NETWORKHOME)admin/
NETWORKINSTALL	= $(NETWORKHOME)install/
NETWORKDEMO     = $(NETWORKHOME)demo/

# Exiting /porting/linux06/8161/src/network/exports.mk
# Entering /porting/linux06/8161/src/ldap/exports.mk

LDAP_VERSION=8

LIBGSLSSFNAME= gslssf$(LDAP_VERSION)
LLIBGSLSSF= $(LDLIBFLAG)$(LIBGSLSSFNAME)$(LIB_SUFFIX)
LIBGSLSSF= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLSSFNAME).$(LIB_EXT)

LIBGSLSSBNAME= gslssb$(LDAP_VERSION)
LLIBGSLSSB= $(LDLIBFLAG)$(LIBGSLSSBNAME)$(LIB_SUFFIX)
LIBGSLSSB= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLSSBNAME).$(LIB_EXT)

LIBGSLBER_SNAME= gslber_s$(LDAP_VERSION)
LLIBGSLBER_S= $(LDLIBFLAG)$(LIBGSLBER_SNAME)$(LIB_SUFFIX)
LIBGSLBER_S= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLBER_SNAME).$(LIB_EXT)

LIBGSLAVLNAME= gslavl$(LDAP_VERSION)
LLIBGSLAVL= $(LDLIBFLAG)$(LIBGSLAVLNAME)$(LIB_SUFFIX)
LIBGSLAVL= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLAVLNAME).$(LIB_EXT)

LIBGSLRNAME= gslr$(LDAP_VERSION)
LLIBGSLR= $(LDLIBFLAG)$(LIBGSLRNAME)$(LIB_SUFFIX)
LIBGSLR= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLRNAME).$(LIB_EXT)

LIBGSLDBNAME= gsldb$(LDAP_VERSION)
LLIBGSLDB= $(LDLIBFLAG)$(LIBGSLDBNAME)$(LIB_SUFFIX)
LIBGSLDB= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLDBNAME).$(LIB_EXT)

LIBGSLSGNAME= gslsg$(LDAP_VERSION)
LLIBGSLSG= $(LDLIBFLAG)$(LIBGSLSGNAME)$(LIB_SUFFIX)
LIBGSLSG= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLSGNAME).$(LIB_EXT)

LIBSGSL_SNAME= sgsl_s$(LDAP_VERSION)
LLIBSGSL_S= $(LDLIBFLAG)$(LIBSGSL_SNAME)$(LIB_SUFFIX)
LIBSGSL_S= $(LIBHOME)$(LIB_PREFIX)$(LIBSGSL_SNAME).$(LIB_EXT)

LIBLDAPCLNTNAME= ldapclnt$(LDAP_VERSION)
LIBLDAPCLNT= $(LIBHOME)$(LIB_PREFIX)$(LIBLDAPCLNTNAME).$(LIB_EXT)
LLIBLDAPCLNT= $(LDLIBFLAG)$(LIBLDAPCLNTNAME)

LDAPHOME=    $(ORACLE_HOME)/ldap/
LDAPBIN=     $(LDAPHOME)bin/
LDAPLIB=     $(LDAPHOME)lib/

LDAPPUBH=    $(I_SYM)$(LDAPHOME)public


# Entering /porting/linux06/8161/src/ldap/s_exports.mk


# Exiting /porting/linux06/8161/src/ldap/s_exports.mk
# Exiting /porting/linux06/8161/src/ldap/exports.mk
# Entering /porting/linux06/8161/src/plsql/exports.mk

VERSION=8

WRAP=$(BINHOME)wrap

LIBPLSNAME=pls
LIBPLSN=$(LIBHOME)$(LIB_PREFIX)$(LIBPLSNAME)$(VERSION).$(LIB_EXT)
LLIBPLS=$(LDLIBFLAG)$(LIBPLSNAME)$(VERSION) 
LIBPLSNSHR=$(LIBHOME)/$(LIB_PREFIX)$(LIBPLSNAME).$(SO_EXT)
ILIBPLSN=$(LIBHOME)/$(LIB_PREFIX)$(LIBPLSNAME).$(ILIB_EXT)
LIBPLPNAME=plp
LIBPLPN=$(LIBHOME)$(LIB_PREFIX)$(LIBPLPNAME)$(VERSION).$(LIB_EXT)
LLIBPLP=$(LDLIBFLAG)$(LIBPLPNAME)$(VERSION)
LIBPLPNSHR=$(LIBHOME)/$(LIB_PREFIX)$(LIBPLPNAME).$(SO_EXT)
ILIBPLPN=$(LIBHOME)/$(LIB_PREFIX)$(LIBPLPNAME).$(ILIB_EXT)
LIBPLCNAME=plc
LIBPLCN=$(LIBHOME)$(LIB_PREFIX)$(LIBPLCNAME)$(VERSION).$(LIB_EXT)
LLIBPLC=$(LDLIBFLAG)$(LIBPLCNAME)$(VERSION)
LIBPLCSHR=$(LIBHOME)/$(LIB_PREFIX)$(LIBPLCNAME).$(SO_EXT)
ILIBPLCN=$(LIBHOME)/$(LIB_PREFIX)$(LIBPLCNAME).$(ILIB_EXT)

LIBEXTP=$(LIBHOME)$(LIB_PREFIX)$(LIBPLSNAME)$(VERSION).$(LIB_EXT)
LLIBEXTP=$(LDLIBFLAG)$(LIBPLSNAME)$(VERSION)

LIBPLSF=$(LIBHOME)$(LIB_PREFIX)$(LIBPLSNAME)$(VERSION).$(LIB_EXT) 
LLIBPLSF=$(LDLIBFLAG)$(LIBPLSNAME)$(VERSION) $(LDLIBFLAG)$(LIBPLPNAME)$(VERSION)

LIBPLSB=$(LIBHOME)$(LIBPLSNAME)$(VERSION)
LLIBPLSB=$(LDLIBFLAG)$(LIBPLSNAME)$(VERSION)

PLSQLLIBS=$(LIBPLSN) $(LIBPLPN)
LPLSQLLIBS=$(LLIBPLS)


LLIBPLSQL= $(LPLSQLLIBS) $(LLIBPLP)

LIBPSANAME=psa
LIBICD=$(LIBHOME)$(LIB_PREFIX)$(LIBPLPNAME)$(VERSION).$(LIB_EXT)
LLIBICD=$(LDLIBFLAG)$(LIBPLPNAME)$(VERSION)
LIBPSD=$(LIBHOME)$(LIB_PREFIX)$(LIBPLCNAME)$(VERSION).$(LIB_EXT)
LLIBPSD=$(LDLIBFLAG)$(LIBPLCNAME)$(VERSION)
LIBPSA=$(LIBHOME)$(LIB_PREFIX)$(LIBPSANAME)$(VERSION).$(LIB_EXT)
LLIBPSA=$(LDLIBFLAG)$(LIBPSANAME)$(VERSION)

PLSQLHOME=$(ORACLE_HOME)/plsql/

# Entering /porting/linux06/8161/src/plsql/s_exports.mk
 
# Exiting /porting/linux06/8161/src/plsql/s_exports.mk
# Exiting /porting/linux06/8161/src/plsql/exports.mk
# Entering /porting/linux06/8161/src/precomp/exports.mk
TOP=$(ORACLE_HOME)/precomp

LIBSQLNAME=sql8
LLIBSQL=$(LDLIBFLAG)$(LIBSQLNAME)$(LIB_SUFFIX)
LIBSQL=$(LIBHOME)$(LIB_PREFIX)$(LIBSQLNAME).$(LIB_EXT)

PRECOMP_PRD=precomp
PRECOMPHOME=$(ORACLE_HOME)/precomp/
PRECOMPADMIN=$(PRECOMPHOME)admin/
PRECOMPLIB=$(PRECOMPHOME)lib/
 
PRECOMPPUBH=$(I_SYM)$(PRECOMPHOME)public $(I_SYM)$(PRECOMPHOME)include
 
# Entering /porting/linux06/8161/src/precomp/s_exports.mk
 
# Exiting /porting/linux06/8161/src/precomp/s_exports.mk
# Exiting /porting/linux06/8161/src/precomp/exports.mk
# Entering /porting/linux06/8161/src/slax/exports.mk
TOP = $(ORACLE_HOME)/slax

LIBSLAXNAME=slax8
LLIBSLAX=$(LDLIBFLAG)$(LIBSLAXNAME)$(LIB_SUFFIX)
LIBSLAX=$(LIBHOME)$(LIB_PREFIX)$(LIBSLAXNAME).$(LIB_EXT)

SLAX_PRD=slax
SLAXHOME=$(ORACLE_HOME)/slax/
SLAXADMIN=$(SLAXHOME)admin/
SLAXLIB=$(SLAXHOME)lib/
 
SLAXPUBH=$(I_SYM)$(SLAXHOME)include
 
# Entering /porting/linux06/8161/src/slax/s_exports.mk
 
# Exiting /porting/linux06/8161/src/slax/s_exports.mk
# Exiting /porting/linux06/8161/src/slax/exports.mk
# Entering /porting/linux06/8161/src/otrace/exports.mk

LIBTRACENAME=trace8
LIBTRACE=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACENAME).$(LIB_EXT)
LLIBTRACE=$(LDLIBFLAG)$(LIBTRACENAME)$(LIB_SUFFIX)
LIBEPC=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACENAME).$(LIB_EXT)
LLIBEPC=$(LDLIBFLAG)$(LIBTRACENAME)$(LIB_SUFFIX)

LIBTRACEPTNAME=tracept8
LIBTRACEPT=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACEPTNAME).$(LIB_EXT)
LLIBTRACEPT=$(LDLIBFLAG)$(LIBTRACEPTNAME)$(LIB_SUFFIX)
LIBEPCPT=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACEPTNAME).$(LIB_EXT)
LLIBEPCPT=$(LDLIBFLAG)$(LIBTRACEPTNAME)$(LIB_SUFFIX)

LIBTRACEFENAME=tracefe8
LIBTRACEFE=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACEFENAME).$(LIB_EXT)
LLIBTRACEFE=$(LDLIBFLAG)$(LIBTRACEFENAME)$(LIB_SUFFIX)
LIBEPCFE=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACEFENAME).$(LIB_EXT)
LLIBEPCFE=$(LDLIBFLAG)$(LIBTRACEFENAME)$(LIB_SUFFIX)

# Entering /porting/linux06/8161/src/otrace/s_exports.mk

# Exiting /porting/linux06/8161/src/otrace/s_exports.mk
# Exiting /porting/linux06/8161/src/otrace/exports.mk
# Entering /porting/linux06/8161/src/icx/exports.mk

VERSION=8
LIBICXNAME=dbicx$(VERSION)
LIBICX= $(LIBHOME)$(LIB_PREFIX)$(LIBICXNAME).$(LIB_EXT)
LIBICXSHR= $(LIBHOME)$(LIB_PREFIX)$(LIBICXNAME).$(SO_EXT)
ILIBICX= $(LIBHOME)$(LIB_PREFIX)$(LIBICXNAME).$(ILIB_EXT)

LLIBICX= $(LDLIBFLAG)$(LIBICXNAME)



# Entering /porting/linux06/8161/src/icx/s_exports.mk
 
# Exiting /porting/linux06/8161/src/icx/s_exports.mk
# Exiting /porting/linux06/8161/src/icx/exports.mk
# Entering /porting/linux06/8161/src/owsutl/exports.mk
 
# Entering /porting/linux06/8161/src/icx/exports.mk

VERSION=8
LIBICXNAME=dbicx$(VERSION)
LIBICX= $(LIBHOME)$(LIB_PREFIX)$(LIBICXNAME).$(LIB_EXT)
LIBICXSHR= $(LIBHOME)$(LIB_PREFIX)$(LIBICXNAME).$(SO_EXT)
ILIBICX= $(LIBHOME)$(LIB_PREFIX)$(LIBICXNAME).$(ILIB_EXT)

LLIBICX= $(LDLIBFLAG)$(LIBICXNAME)



# Entering /porting/linux06/8161/src/icx/s_exports.mk
 
# Exiting /porting/linux06/8161/src/icx/s_exports.mk
# Exiting /porting/linux06/8161/src/icx/exports.mk

LIBOWSUTLNAME=$(LIBICXNAME)
LIBOWSUTL= $(LIBHOME)/$(LIB_PREFIX)$(LIBOWSUTLNAME).$(LIB_EXT)
LIBOWSUTLSHR= $(LIBHOME)/$(LIB_PREFIX)$(LIBOWSUTLNAME).$(SO_EXT)
ILIBOWSUTL= $(LIBHOME)/$(LIB_PREFIX)$(LIBOWSUTLNAME).$(ILIB_EXT)
 
LLIBOWSUTL= $(LDLIBFLAG)$(LIBOWSUTLNAME)

# Entering /porting/linux06/8161/src/owsutl/s_exports.mk
 
# Exiting /porting/linux06/8161/src/owsutl/s_exports.mk
# Exiting /porting/linux06/8161/src/owsutl/exports.mk
# Entering /porting/linux06/8161/src/ordts/exports.mk

LIBKIDTNAME = ordts8
LLIBKIDT = $(LDLIBFLAG)$(LIBKIDTNAME)$(LIB_SUFFIX)

# Entering /porting/linux06/8161/src/ordts/s_exports.mk


# Exiting /porting/linux06/8161/src/ordts/s_exports.mk
# Exiting /porting/linux06/8161/src/ordts/exports.mk
# Entering /porting/linux06/8161/src/spatial/exports.mk

LIBORDSDONAME=ordsdo8
LIBORDSDO=$(SDOLIB)$(LIB_PREFIX)$(LIBORDSDONAME).$(LIB_EXT)
LLIBORDSDO=$(LDLIBFLAG)$(LIB_PREFIX)$(LIBORDSDONAME).$(LIB_EXT)

# Exiting /porting/linux06/8161/src/spatial/exports.mk
# Entering /porting/linux06/8161/src/ctx/exports.mk



LIBCTXS8NAME=ctxs8
LIBCTXS8 = $(CTXLIB)$(LIB_PREFIX)$(LIBCTXS8NAME).$(LIB_EXT)
LLIBCTXS8 = $(LDLIBFLAG)$(LIBCTXS8NAME)$(LIB_SUFFIX)

LIBCTXC8NAME=ctxc8
LIBCTXC8 = $(CTXLIB)$(LIB_PREFIX)$(LIBCTXC8NAME).$(LIB_EXT)
LLIBCTXC8 = $(LDLIBFLAG)$(LIBCTXC8NAME)$(LIB_SUFFIX)

LIBCTX8NAME=ctx8
LIBCTX8 = $(CTXLIB)$(LIB_PREFIX)$(LIBCTX8NAME).$(LIB_EXT)
LLIBCTX8 = $(LDLIBFLAG)$(LIBCTX8NAME)$(LIB_SUFFIX)
 
LIBZX8NAME=zx8
LIBZX8 = $(CTXLIB)$(LIB_PREFIX)$(LIBZX8NAME).$(LIB_EXT)
LLIBZX8 = $(LDLIBFLAG)$(LIBZX8NAME)$(LIB_SUFFIX)
 
LIBGX8NAME=gx8
LIBGX8 = $(CTXLIB)$(LIB_PREFIX)$(LIBGX8NAME).$(LIB_EXT)
LLIBGX8 = $(LDLIBFLAG)$(LIBGX8NAME)$(LIB_SUFFIX)
 
CTX_LINK = $(LLIBCTXC8) $(LLIBCTX8) $(LLIBZX8) $(LLIBGX8) $(LLIBCTX8) $(LLIBZX8) $(LLIBGX8)

CTXHOME=$(ORACLE_HOME)/ctx/

CTXPUBH=$(I_SYM)$(CTXHOME)public

CTXLIB=$(CTXHOME)lib/

# Entering /porting/linux06/8161/src/ctx/s_exports.mk
# Exiting /porting/linux06/8161/src/ctx/s_exports.mk
# Exiting /porting/linux06/8161/src/ctx/exports.mk
# Entering /porting/linux06/8161/src/ordvir/exports.mk




LIBORDVIRTNAME=  ordvirt8
LOC_LIBORDVIRT=  $(LIB_PREFIX)$(LIBORDVIRTNAME).$(LIB_EXT)
LIBORDVIRT=      $(LIBHOME)$(LOC_LIBORDVIRT)
LLIBORDVIRT=     $(LDLIBFLAG)$(LIBORDVIRTNAME)$(LIB_SUFFIX)
ILIBORDVIRT=     $(LIBHOME)$(LIB_PREFIX)$(LIBORDVIRTNAME).$(ILIB_EXT)

LLIBKIDRT=   $(LLIBORDVIRT)
LIBKIDRT=    $(LIBORDVIRT)


LIBORDVIRNAME=    ordvir8
LOC_LIBORDVIR=    $(LIB_PREFIX)$(LIBORDVIRNAME).$(LIB_EXT)
LIBORDVIR=        $(LIBHOME)$(LOC_LIBORDVIR)
LOC_LIBORDVIRSHR= $(LIB_PREFIX)$(LIBORDVIRNAME).$(SO_EXT)
LIBORDVIRSHR=     $(LIBHOME)$(LOC_LIBORDVIRSHR)
ILIBORDVIR=       $(LIBHOME)$(LIB_PREFIX)$(LIBORDVIRNAME).$(ILIB_EXT)

LOC_ZIPORDVIR=    ordvir.$(ZIP_EXT)
ZIPORDVIR=        $(ORDVIRLIB)$(LOC_ZIPORDVIR)

LOC_LIBKIDRSHR= $(LOC_LIBORDVIRSHR)
LIBKIDRSHR=     $(LIBORDVIRSHR)
LIBKIDR=        $(LIBORDVIR)


# Entering /porting/linux06/8161/src/ordvir/s_exports.mk

# Exiting /porting/linux06/8161/src/ordvir/s_exports.mk
# Exiting /porting/linux06/8161/src/ordvir/exports.mk
# Entering /porting/linux06/8161/src/javavm/exports.mk
LIBJAVAVM=$(LIBHOME)$(LIB_PREFIX)aurora.$(LIB_EXT)
LLIBJAVAVM=$(LDLIBFLAG)aurora

# Entering s_exports.mk


SKGXP_EXT=$(SO_EXT)



# Exiting s_exports.mk
# Exiting /porting/linux06/8161/src/javavm/exports.mk

# Entering /porting/linux06/8161/src/rdbms/exports.mk


RDBMS_VERSION = 8
LIBSERVERNAME=server$(RDBMS_VERSION)
LIBSERVER=$(LIBHOME)$(LIB_PREFIX)$(LIBSERVERNAME).$(LIB_EXT)
LLIBSERVER=$(LDLIBFLAG)$(LIBSERVERNAME)$(LIB_SUFFIX)

LIBCLIENTNAME=client$(RDBMS_VERSION)
LIBCLIENT=$(LIBHOME)$(LIB_PREFIX)$(LIBCLIENTNAME).$(LIB_EXT)
LLIBCLIENT=$(LDLIBFLAG)$(LIBCLIENTNAME)

LIBGENERICNAME=generic$(RDBMS_VERSION)
LIBGENERIC=$(LIBHOME)$(LIB_PREFIX)$(LIBGENERICNAME).$(LIB_EXT)
LLIBGENERIC=$(LDLIBFLAG)$(LIBGENERICNAME)

LIBDSBTSHNAME=dsbtsh$(RDBMS_VERSION)
LIBDSBTSH=$(RDBMSLIB)$(LIB_PREFIX)$(LIBDSBTSHNAME).$(SO_EXT)

LIBSKGXPNAME=skgxp$(RDBMS_VERSION)
LIBSKGXP=$(LIBHOME)$(LIB_PREFIX)$(LIBSKGXPNAME).$(SKGXP_EXT)
LLIBSKGXP=$(LDLIBFLAG)$(LIBSKGXPNAME)

LIBSKGXP_CLT=
LLIBSKGXP_CLT=

LIBCOMMONNAME=common$(RDBMS_VERSION)
LIBCOMMON=$(LIBHOME)$(LIB_PREFIX)$(LIBCOMMONNAME).$(LIB_EXT)
LLIBCOMMON=$(LDLIBFLAG)$(LIBCOMMONNAME)

LIBVSNNAME=vsn$(RDBMS_VERSION)
LIBVSN=$(LIBHOME)$(LIB_PREFIX)$(LIBVSNNAME).$(LIB_EXT)
LLIBVSN=$(LDLIBFLAG)$(LIBVSNNAME)

LIBAGENTNAME=agent$(RDBMS_VERSION)
LIBAGENT=$(LIBHOME)$(LIB_PREFIX)$(LIBAGENTNAME).$(LIB_EXT)
LLIBAGENT=$(LDLIBFLAG)$(LIBAGENTNAME)

LIBDBTOOLSNAME=dbtools$(RDBMS_VERSION)
LIBDBTOOLS=$(RDBMSLIB)$(LIB_PREFIX)$(LIBDBTOOLSNAME).$(LIB_EXT)
LLIBDBTOOLS=$(LDLIBFLAG)$(LIBDBTOOLSNAME)

LIBWTCNAME=wtc$(RDBMS_VERSION)
LIBWTC=$(RDBMSLIB)$(LIB_PREFIX)$(LIBWTCNAME).$(LIB_EXT)
LLIBWTC=$(LDLIBFLAG)$(LIBWTCNAME)

DLMHOME=$(ORACLE_HOME)/odlm/

SKGXNS=$(RDBMSLIB)skgxns.$(OBJ_EXT)
SKGXND=$(RDBMSLIB)skgxnd.$(OBJ_EXT)
SKGXN=$(RDBMSLIB)skgxn.$(OBJ_EXT)

LIBDLMNAME=udlm
LIBDLM=$(SKGXN) $(LIBHOME)$(LIB_PREFIX)$(LIBDLMNAME).$(LIB_EXT)
LLIBDLM=$(SKGXN) $(LDLIBFLAG)$(LIBDLMNAME)

LIBNM=$(LIBDLM)
LLIBNM=$(LLIBDLM)
NMLIBLIST=$(RDBMSLIB)nmliblist
NMLIBS=`$(CAT) $(NMLIBLIST) | $(SED) "s%ORACLE_HOME%\$$SRCHOME%"`

LIBMMNAME=mm
LIBMM=$(LIBHOME)$(LIB_PREFIX)$(LIBMMNAME).$(LIB_EXT)
LLIBMM=$(LDLIBFLAG)$(LIBMMNAME)


LIBRDBMS_CLT=$(LIBCLIENT) $(LIBSKGXP_CLT) $(LIBVSN) $(LIBWTC) $(LIBCOMMON) $(LIBGENERIC)
LLIBRDBMS_CLT=$(LLIBCLIENT) $(LLIBSKGXP_CLT) $(LLIBVSN) $(LLIBWTC) $(LLIBCOMMON)\
	$(LLIBGENERIC)

LIBCLNTSHNAME=clntsh
LIBCLNTSH=$(LIBHOME)$(LIB_PREFIX)$(LIBCLNTSHNAME).$(SO_EXT)
LLIBCLNTSH=$(LDLIBFLAG)$(LIBCLNTSHNAME)

LIBAGTSHNAME=agtsh
LIBAGTSH=$(LIBHOME)$(LIB_PREFIX)$(LIBAGTSHNAME).$(SO_EXT)
LLIBAGTSH=$(LDLIBFLAG)$(LIBAGTSHNAME)

LIBSHWTC=$(RDBMSLIB)$(LIB_PREFIX)$(LIBWTCNAME).$(SO_EXT)
LLIBSHWTC=$(LDLIBFLAG)$(LIBWTCNAME)

LIBKNLOPTNAME=knlopt
LIBKNLOPT=$(RDBMSLIB)$(LIB_PREFIX)$(LIBKNLOPTNAME).$(LIB_EXT)
LLIBKNLOPT=$(LDLIBFLAG)$(LIBKNLOPTNAME)

CONFIG = $(RDBMSLIB)config.$(OBJ_EXT)

HSALLMAI = $(RDBMSLIB)horm.$(OBJ_EXT)			# hs all modules main
HSSQLMAI = $(RDBMSLIB)horms.$(OBJ_EXT)			# hs SQL main
HSDEPMAI = $(RDBMSLIB)hormd.$(OBJ_EXT)			# hs DEP main
HSOTSMAI = $(RDBMSLIB)hormt.$(OBJ_EXT)			# hs OTS main
HSAGTSHC = $(RDBMSLIB)homts.$(OBJ_EXT)                  # multi-threaded agent 
                                                        # shutdown callback



LLIBORDSDO=$(LDLIBFLAG)$(LIBORDSDONAME)$(LIB_SUFFIX)
SDOLIBS = `if ${AR} tv ${ORACLE_HOME}/rdbms/lib/$(LIB_PREFIX)$(LIBKNLOPTNAME).$(LIB_EXT) | $(GREP) "kxmnsd.o" > /dev/null 2>&1 ; then echo " " ; else echo "${LLIBORDSDO}"; fi`

DEF_ON= $(RDBMSLIB)kpudfo.$(OBJ_EXT)
DEF_OFF= $(RDBMSLIB)kpundf.$(OBJ_EXT)
DEF_OPT= $(RDBMSLIB)defopt.$(OBJ_EXT)

LIBSVRMGRLNAME=svrmgrl
LIBSLPMNAME=slpm
LIBSVRM= $(LIBHOME)smalmain.$(OBJ_EXT) $(LIBHOME)$(LIB_PREFIX)$(LIBSVRMGRLNAME).$(LIB_EXT) $(LIBHOME)$(LIB_PREFIX)$(LIBSLPMNAME).$(LIB_EXT)
LLIBSVRM= $(LIBHOME)smalmain.$(OBJ_EXT) $(LDLIBFLAG)$(LIBSVRMGRLNAME) $(LDLIBFLAG)$(LIBSLPMNAME)

RDBMSHOME=$(ORACLE_HOME)/rdbms/
RDBMSLIB=$(RDBMSHOME)lib/
RDBMSADMIN=$(RDBMSHOME)admin/

# Entering /porting/linux06/8161/src/rdbms/s_exports.mk


SKGXP_EXT=$(SO_EXT)



# Exiting /porting/linux06/8161/src/rdbms/s_exports.mk
# Exiting /porting/linux06/8161/src/rdbms/exports.mk

LDFLAGSLIST=`$(SED) -e 's/-ljava//g' $(LDFLAGSFILE)`
CLNTLDFLAGSLIST=`$(CAT) $(LDFLAGSFILE)`


LIBDSBT=$(LOC_LIBDSBTSH)
LIBQSMA=$(LOC_LIBQSMASHR)
LIBS=$(LIBDSBT) $(LIBQSMA) $(LIBWTC)

SHLIBS=$(LIBDSBTSH) $(LIBSHWTC)
DLOPENLIBS=$(LIBQSMASHR)

INS_CONFIG=$(CONFIG)

CARTLIBS= $(LLIBKIDT) $(CTX_LINK) $(LLIBKIDRT)
CARTLIBD= $(LLIBKIDT) $(CTX_LINK) $(LLIBKIDRT)
HS_OCI_DRIVER=$(RDBMSLIB)hoaoci.$(OBJ_EXT)
HS_DEP_DRIVER=$(RDBMSLIB)hoax.$(OBJ_EXT)
HS_OTS_DRIVER=$(RDBMSLIB)hoat.$(OBJ_EXT)

HS_XASWITCH_ORA=$(RDBMSLIB)hsxaora.$(OBJ_EXT)
 

VER_ENT= vsnfprd.$(OBJ_EXT)
VER_STD= vsnfstd.$(OBJ_EXT)
VER_PO= vsnfpo.$(OBJ_EXT)
VSNNTP= vsnntp.$(OBJ_EXT)
VSNSTD= vsnstd.$(OBJ_EXT)
VSNPO= vsnpo.$(OBJ_EXT)

VER_ENT_DEPS=knlopt_local $(RDBMSLIB)$(VER_ENT)
VER_STD_DEPS=knlopt_local $(RDBMSLIB)$(VER_STD) obj_on ops_off part_off
VER_PO_DEPS=knlopt_local $(RDBMSLIB)$(VER_PO) obj_on ops_off part_off

PLS_ON= kkxwtp.$(OBJ_EXT)
PLS_OFF= kkxntp.$(OBJ_EXT)

JOXOPT_FILE=$(RDBMSLIB)joxopt.txt
JOXOFF_OFILE= joxoff.$(OBJ_EXT)
JOX_OFILE=jox.$(OBJ_EXT)
JOXWTP_OFILE= joxwtp.$(OBJ_EXT)

JOX_BOM=$(RDBMSADMIN)jox.bom

JOXNAME=jox$(RDBMS_VERSION)
LIBJOXNAME=$(LIB_PREFIX)$(JOXNAME)
SHLIBJOX=$(JAVAVM_SHLIB_SOHOME)$(LIBJOXNAME).$(SO_EXT)

OPS_ON= kcsm.$(OBJ_EXT)
OPS_OFF= ksnkcs.$(OBJ_EXT)

DDB_ON= ktd.$(OBJ_EXT)
DDB_OFF= ksnktd.$(OBJ_EXT)

SDO_ON= kxmwsd.$(OBJ_EXT)
SDO_OFF= kxmnsd.$(OBJ_EXT)

CTX_ON= kciwcx.$(OBJ_EXT)
CTX_OFF= kcincx.$(OBJ_EXT)

HO_ON= $(RDBMSLIB)npiapho.$(OBJ_EXT) $(RDBMSLIB)homs.$(OBJ_EXT) $(HO_DRV_OFF)	
HO_ON_NPIAPH=npiapho.$(OBJ_EXT)
HO_ON_HOMS=homs.$(OBJ_EXT)
HO_OFF=$(RDBMSLIB)npiap.$(OBJ_EXT) $(RDBMSLIB)homsstub.$(OBJ_EXT) $(HO_DRV_OFF)
HO_OFF_NPIAP=npiap.$(OBJ_EXT)
HO_OFF_HOMSSTUB=homsstub.$(OBJ_EXT)

OBJ_ON= kokiobj.$(OBJ_EXT)
OBJ_OFF= koknobj.$(OBJ_EXT)

PART_ON= kkpoban.$(OBJ_EXT)
PART_OFF= ksnkkpo.$(OBJ_EXT)

LIL_ON= $(LIB_PREFIX)lil.$(LIB_EXT)
LIL_OFF= sllfls.$(OBJ_EXT)

XAS_ON=$(LIBSQL)
XAS_OFF=xaonsl.$(OBJ_EXT)
 
XAD_OFF=xaondy.$(OBJ_EXT)

SQLLIBS=

KPT_ON=kprwts.$(OBJ_EXT)
KPT_OFF=kprnts.$(OBJ_EXT)

SGL_ON=$(OSNTABST) $(RDBMSLIB)ttcsoi.$(OBJ_EXT) $(RDBMSLIB)ttcoerr.$(OBJ_EXT)
SGL_OFF=$(NIGTAB)

ORAMAI = $(RDBMSLIB)opimai.$(OBJ_EXT)
SSORED = $(RDBMSLIB)ssoraed.$(OBJ_EXT)
IMPMAI = $(RDBMSLIB)impdrv.$(OBJ_EXT)
EXPMAI = $(RDBMSLIB)exudrv.$(OBJ_EXT)
LDRMAI = $(RDBMSLIB)ulmai.$(OBJ_EXT)
MIGMAI = $(RDBMSLIB)kumain.$(OBJ_EXT)
MXMMAI = $(RDBMSLIB)maxmem.$(OBJ_EXT)
DBGMAI = $(RDBMSLIB)dbfmig.$(OBJ_EXT)
SYSRESVMAI = $(RDBMSLIB)sysresv.$(OBJ_EXT)
TSMMAI = $(RDBMSLIB)tstshm.$(OBJ_EXT)
TKPMAI = $(RDBMSLIB)s0kvpf.$(OBJ_EXT)
GOCMAI = $(RDBMSLIB)genoci.$(OBJ_EXT)
PWDMAI = $(RDBMSLIB)s0kuzr.$(OBJ_EXT)
DBFMAI = $(RDBMSLIB)dbfsize.$(OBJ_EXT)
CURMAI = $(RDBMSLIB)cursize.$(OBJ_EXT)
DBVMAI = $(RDBMSLIB)kudbv.$(OBJ_EXT)
SSDBED=$(RDBMSLIB)ssdbaed.$(OBJ_EXT)
TDSMAI = $(RDBMSLIB)kopc.$(OBJ_EXT)
EXTPMAI = $(RDBMSLIB)hormc.$(OBJ_EXT)
AGTCLMAI = $(RDBMSLIB)hout.$(OBJ_EXT)
AGTCLSUR = $(RDBMSLIB)shou.$(OBJ_EXT)
GMSMAI = $(RDBMSLIB)/kgxgd.$(OBJ_EXT)	$(RDBMSLIB)/kgxgm.$(OBJ_EXT)
GMCTLM = $(RDBMSLIB)kgxgk.$(OBJ_EXT)
SSORED = $(RDBMSLIB)ssoraed.$(OBJ_EXT)
TTCSOI = $(RDBMSLIB)ttcsoi.$(OBJ_EXT)
ARCMAI = $(RDBMSLIB)archmon.$(OBJ_EXT)
OSHMAI = $(RDBMSLIB)osh.$(OBJ_EXT)
GKSMAI = $(RDBMSLIB)genksms.$(OBJ_EXT)
GKFMAI = $(RDBMSLIB)genkflat.$(OBJ_EXT)
SSKRMED = $(RDBMSLIB)sskrmed.$(OBJ_EXT)
SKRMPT = $(RDBMSLIB)skrmpt.$(OBJ_EXT)
SBBDPT = $(RDBMSLIB)sbbdpt.$(OBJ_EXT)
SSBBDED = $(RDBMSLIB)ssbbded.$(OBJ_EXT)
SKRSPT = $(RDBMSLIB)skrspt.$(OBJ_EXT)
SSKRSED = $(RDBMSLIB)sskrsed.$(OBJ_EXT)
KGPPMAI = $(RDBMSLIB)kgupc.$(OBJ_EXT)
KGMGRC = $(RDBMSLIB)kgutc.$(OBJ_EXT)	        # kgmgr
LOADPSPMAI = $(RDBMSLIB)wpspldrv.$(OBJ_EXT)	# loadpsp

ORACLE=$(RDBMSBIN)oracle$(EXE_SUFFIX)
IMP=$(RDBMSBIN)imp$(EXE_SUFFIX)
EXP=$(RDBMSBIN)exp$(EXE_SUFFIX)
SQLLDR=$(RDBMSBIN)sqlldr$(EXE_SUFFIX)
SQLLDR_LIL=$(RDBMSBIN)sqlldr_lil$(EXE_SUFFIX)
MIG=$(RDBMSBIN)mig$(EXE_SUFFIX)
DBVERIFY=$(RDBMSBIN)dbv$(EXE_SUFFIX)
TSTSHM=$(RDBMSBIN)tstshm$(EXE_SUFFIX)
MAXMEM=$(RDBMSBIN)maxmem$(EXE_SUFFIX)
DBFMIG=$(RDBMSBIN)dbfmig$(EXE_SUFFIX)
SYSRESVER=$(RDBMSBIN)sysresv$(EXE_SUFFIX)
ORAPWD=$(RDBMSBIN)orapwd$(EXE_SUFFIX)
TKPROF=$(RDBMSBIN)tkprof$(EXE_SUFFIX)
DBFSIZE=$(RDBMSBIN)dbfsize$(EXE_SUFFIX)
CURSIZE=$(RDBMSBIN)cursize$(EXE_SUFFIX)
RMAN=$(RDBMSBIN)rman$(EXE_SUFFIX)
GENOCI=$(RDBMSBIN)genoci$(EXE_SUFFIX)
GENKFLAT=$(RDBMSBIN)genkflat$(EXE_SUFFIX)
SVRMGRL=$(RDBMSBIN)svrmgrl$(EXE_SUFFIX)
TDSCOMP=$(RDBMSBIN)tdscomp$(EXE_SUFFIX)
EXTPROC=$(RDBMSBIN)extproc$(EXE_SUFFIX)
HSALLOCI=$(RDBMSBIN)hsalloci$(EXE_SUFFIX)
HSDEPXA=$(RDBMSBIN)hsdepxa$(EXE_SUFFIX)
HSOTS=$(RDBMSBIN)hsots$(EXE_SUFFIX)
AGTCTL=$(RDBMSBIN)agtctl$(EXE_SUFFIX)
OGMS=$(RDBMSBIN)ogms$(EXE_SUFFIX)
OGMSCTL=$(RDBMSBIN)ogmsctl$(EXE_SUFFIX)
ARCHMON=$(RDBMSBIN)archmon$(EXE_SUFFIX)
OSH=$(RDBMSBIN)osh$(EXE_SUFFIX)
RMAN=$(RDBMSBIN)rman$(EXE_SUFFIX)
BBED=$(RDBMSBIN)bbed$(EXE_SUFFIX)
SBTTEST=$(RDBMSBIN)sbttest$(EXE_SUFFIX)
KGPMON=$(RDBMSBIN)kgpmon$(EXE_SUFFIX)
KGMGR=$(RDBMSBIN)kgmgr$(EXE_SUFFIX)
LOADPSP=$(RDBMSBIN)loadpsp$(EXE_SUFFIX)

ORACLE_LINKLINE=$(LINK) $(PL_FLAGS) $(ORAMAI) $(SSORED) $(TTCSOI) \
	$(NAETTOBJS) $(CONFIG) $(SPOBJS) $(LLIBSERVER) $(LLIBSKGXP) \
	$(LLIBRDBMS_CLT) $(DEF_OPT) $(LLIBKNLOPT) $(LLIBSLAX) $(LLIBPLSQL) \
	$(LLIBSERVER) $(LLIBRDBMS_CLT) $(LLIBKNLOPT) $(LLIBSLAX) $(LLIBPLSQL) \
	$(NMLIBS) $(LLIBICX) $(LLIBOWSUTL) $(LLIBJAVAVMORJOX) $(LLIBOBK) \
	$(LLIBLDAPCLNT) \
	$(ORACLETTLIBS) $(LLIBSERVER) $(SDOLIBS) $(CARTLIBS) \
	$(CORELIBS) $(LINKLDLIBS)
IMP_LINKLINE=$(LINK) $(OPT) $(IMPMAI) $(SSDBED) $(DEF_OPT) $(LIBDBTOOLS) \
	$(LINKTTLIBS) $(LLIBPLS)
EXP_LINKLINE=$(LINK) $(OPT) $(EXPMAI) $(SSDBED) $(DEF_OPT) $(LIBDBTOOLS) \
	$(LINKTTLIBS)
LDR_LINKLINE=$(LINK) $(OPT) $(LDRMAI) $(SSDBED) $(DEF_OPT) \
	$(RDBMSLIB)$(LIL_OFF) $(LIBDBTOOLS) $(LINKTTLIBS)
LIL_LINKLINE=$(LINK) $(OPT) $(LDRMAI) $(SSDBED) $(DEF_OPT) $(LIBDBTOOLS) \
	$(LIL_ON) $(LINKTTLIBS)
MIG_LINKLINE=$(LINK) $(OPT) $(MIGMAI) $(SSDBED) $(DEF_OPT) $(NAETTOBJS) \
	$(LIBDBTOOLS) $(ORACLETTLIBS) $(LINKLDLIBS) $(CLNTLDFLAGSLIST)
DBV_LINKLINE=$(LINK) $(OPT) $(DBVMAI) $(SSDBED) $(DEF_OPT) $(LIBDBTOOLS) \
	$(LINKTTLIBS)
TSTSHM_LINKLINE=$(LINK) $(OPT) $(TSMMAI) $(SSDBED) $(DEF_OFF) $(LINKTTLIBS)
MAXMEM_LINKLINE=$(LINK) $(OPT) $(MXMMAI) $(SSDBED) $(DEF_OFF) $(LINKTTLIBS)
DBFMIG_LINKLINE=$(LINK) $(OPT) $(DBGMAI) $(SSDBED) $(DEF_OFF) $(LINKTTLIBS)
SYSRESVER_LINKLINE=$(LINK) $(OPT) $(SYSRESVMAI) $(SSDBED) $(DEF_OFF) \
	$(LINKTTLIBS)
ORAPWD_LINKLINE=$(LINK) $(OPT) $(PWDMAI) $(SSDBED) $(DEF_OFF) $(LINKTTLIBS)
TKPROF_LINKLINE=$(LINK) $(OPT) $(TKPMAI) $(SSDBED) $(DEF_OPT) $(LINKTTLIBS)
DBFSIZE_LINKLINE=$(LINK) $(OPT) $(DBFMAI) $(SSDBED) $(DEF_OFF) $(LINKTTLIBS)
CURSIZE_LINKLINE=$(LINK) $(OPT) $(CURMAI) $(SSDBED) $(DEF_OPT) $(LINKTTLIBS)
RMAN_LINKLINE=$(LINK) $(OPT) $(S0MAIN) $(SSKRMED) $(SKRMPT) $(DEF_OPT) \
	$(LIBDBTOOLS) $(LLIBCLIENT) $(LLIBWTC) $(LLIBSQL) $(LLIBPLSQL) $(LLIBSLAX) \
	$(LLIBPLSQL) $(LINKTTLIBS)
GENOCI_LINKLINE=$(LINK) $(GOCMAI) $(LINKLDLIBS)
GENKFLAT_LINKLINE=$(LINK) $(GKFMAI) $(LINKLDLIBS)
SVRMGRL_LINKLINE=$(LINK) $(LLIBSVRM) $(DEF_OPT) $(LLIBCLIENT) $(LLIBWTC) $(LLIBSQL) \
	$(LINKTTLIBS) $(CLNTLDFLAGSLIST)
TDSCOMP_LINKLINE=$(LINK) $(OPT) $(TDSMAI) $(SSDBED) $(DEF_OPT) $(LINKTTLIBS)
EXTPROC_LINKLINE=$(LINK) $(EXTPMAI) $(DEF_OPT) $(HSAGTSHC) $(SSDBED) \
	$(LLIBAGTSH) $(LLIBPLSQL) $(LLIBTHREAD) $(LLIBCLNTSH) $(CORELIBS) \
	$(LINKLDLIBS)
AGTCTL_LINKLINE=$(LINK) $(AGTCLMAI) $(DEF_OPT) $(SSDBED) $(AGTCLSUR) \
	$(HSAGTSHC) $(LIBAGTSH) $(LIBTHREAD) $(LLIBCLNTSH) $(CORELIBS) \
	$(LINKLDLIBS)
HSALLOCI_LINKLINE=$(LINK) $(OPT) $(HSALLMAI) $(DEF_OPT) $(HSAGTSHC) $(SSDBED) \
	$(HS_OCI_DRIVER) $(HS_XASWITCH_ORA) $(RDBMSLIB)$(XAD_OFF) \
	$(LLIBAGTSH) $(LLIBPLSQL) $(LLIBTHREAD) $(LLIBCLNTSH) $(CORELIBS) \
	$(LINKLDLIBS)
HSDEPXA_LINKLINE=$(LINK) $(OPT) $(HSDEPMAI) $(DEF_OPT) $(HSAGTSHC) $(SSDBED) \
	$(HS_DEP_DRIVER) $(RDBMSLIB)$(XAD_OFF) \
	$(LLIBAGTSH) $(LLIBPLSQL) $(LLIBTHREAD) $(LLIBCLNTSH) $(CORELIBS) \
	$(LINKLDLIBS)
HSOTS_LINKLINE=$(LINK) $(OPT) $(HSOTSMAI) $(DEF_OPT) $(HSAGTSHC) $(SSDBED) \
	$(HS_OTS_DRIVER) $(HS_XASWITCH_ORA) $(RDBMSLIB)$(XAD_OFF) \
	$(LLIBAGTSH) $(LLIBPLSQL) $(LLIBTHREAD) $(LLIBCLNTSH) $(CORELIBS) \
	$(LINKLDLIBS)
OGMS_LINKLINE=$(LINK) $(OPT) $(GMSMAI) $(SSDBED) $(DEF_OPT) $(LLIBSKGXP) \
	$(LINKTTLIBS)
OGMSCTL_LINKLINE=$(LINK) $(OPT) $(GMCTLM) $(SSDBED) $(DEF_OPT) $(LLIBSKGXP) \
	$(LINKTTLIBS)
ARCHMON_LINKLINE=$(LINK) $(OPT) $(ARCMAI) $(LINKTTLIBS)
OSH_LINKLINE=$(LINK) $(OSHMAI) $(LINKLDLIBS)
BBED_LINKLINE=$(LINK) $(S0MAIN) $(SSBBDED) $(SBBDPT) $(LLIBSQLNET) $(DEF_OPT) \
	$(LIBDBTOOLS) $(LINKTTLIBS)
SBTTEST_LINKLINE=$(LINK) $(S0MAIN) $(SSKRSED) $(SKRSPT) $(DEF_OPT) \
	$(SHAREDLIBPATH) $(LLIBOBK) $(LIBDBTOOLS) $(LINKTTLIBS)
KGPMON_LINKLINE=$(LINK) $(OPT) $(KGPPMAI) $(LLIBCLIENT) $(LLIBWTC) \
	$(DEF_OPT) $(LLIBSQL) $(LLIBPLSQL) $(LLIBSLAX) \
	$(LLIBPLSQL) $(LINKTTLIBS) $(LOC_LIBCLIENT)
IMAGEEXE_LINKLINE=$(LINK) $(OPT) $(IMAGEOBJS) $(SSDBED) $(DEF_OPT) \
	$(LLIBOBK) $(SQLLIBS) $(LIBDBTOOLS) $(LINKTTLIBS) $(THREADLIBS)
IMAGESHARE_LINKLINE=$(LINK) $(OPT) $(IMAGEOBJS) $(SSDBED) $(DEF_OPT) \
	$(LLIBOBK) $(LLIBCLNTSH) $(THREADLIBS) $(LINKLDLIBS)
KGMGR_LINKLINE=$(LINK) $(OPT) $(KGMGRC) $(LLIBCLIENT) $(LLIBWTC) \
	$(DEF_OPT) $(LLIBSQL) $(LLIBPLSQL) $(LLIBSLAX) \
	$(LLIBPLSQL) $(LIBDBTOOLS) $(LINKTTLIBS)
LOADPSP_LINKLINE=$(LINK) $(OPT) $(LOADPSPMAI) $(LIBDBTOOLS) $(LINKTTLIBS)

NMWARN=\
echo "Warning: No Cluster or Node Monitor library" ; \
echo "    Check value of CLUSTERDIR ($(CLUSTERDIR))" ; \
echo "    Linking against dummy cluster library.";

GENNMLIBLIST=\
$(SILENT)if $(ARPRINT) $(LIBKNLOPT) | $(GREP) '^'$(OPS_ON) > /dev/null ; then \
  if [ -d "$(CLUSTERDIR)" ]; then \
    if [ -f "$(LIBNM)" -o -f "$(LIBCLUST)" ]; then \
      echo > $(NMLIBLIST) ;  \
      if [ -f "$(LIBNM)" ] ; then\
        echo "$(LLIBNM)" >> $(NMLIBLIST) ;  \
      else \
        true ; \
      fi; \
      if [ -f "$(LIBCLUST)" ] ; then \
        echo "$(LLIBCLUST)" >> $(NMLIBLIST) ;  \
      else \
        true ; \
      fi ; \
    else \
      $(NMWARN) \
      $(ECHO) "$(NMOFF)" > $(NMLIBLIST) ; \
    fi ; \
  else \
    $(NMWARN) \
    $(ECHO) "$(NMOFF)" > $(NMLIBLIST) ; \
  fi; \
else \
  $(ECHO) "$(NMOFF)" > $(NMLIBLIST) ; \
fi

NMOFF=$(SKGXNS)

ALL_OPTS= $(RDBMSLIB)$(VER_ENT) $(RDBMSLIB)$(PLS_ON) $(RDBMSLIB)$(OPS_ON) $(RDBMSLIB)$(DDB_ON) $(RDBMSLIB)$(SDO_ON) $(RDBMSLIB)$(CTX_ON) $(HO_ON) $(RDBMSLIB)$(OBJ_ON) $(RDBMSLIB)$(PART_ON) $(RDBMSLIB)$(LIL_OFF) $(RDBMSLIB)$(KPT_OFF)

NO_OPTS= $(RDBMSLIB)$(VER_ENT) $(RDBMSLIB)$(PLS_ON) $(RDBMSLIB)$(OPS_OFF) $(RDBMSLIB)$(DDB_OFF) $(RDBMSLIB)$(SDO_OFF) $(RDBMSLIB)$(CTX_OFF) $(HO_OFF) $(RDBMSLIB)$(OBJ_OFF) $(RDBMSLIB)$(PART_OFF) $(RDBMSLIB)$(LIL_OFF) $(RDBMSLIB)$(KPT_OFF)



SKGXPD_NAME=skgxpd
SKGXPD_SRC=skgxpd.c
SKGXPD_OBJ=$(RDBMSLIB)skgxpd.$(OBJ_EXT)
LIBSKGXPD_MEMBERS=$(LIBSKGXPD_STATIC)($(RDBMSLIB)skgxpd.$(OBJ_EXT))

SKGXPU_NAME=skgxpu
SKGXPU_SRC=skgxpu.c sskgxpu.c
SKGXPU_OBJ=$(RDBMSLIB)skgxpu.$(OBJ_EXT)	$(RDBMSLIB)sskgxpu.$(OBJ_EXT)
LIBSKGXPU_MEMBERS=$(LIBSKGXPU_STATIC)($(RDBMSLIB)skgxpu.$(OBJ_EXT))	\
		$(LIBSKGXPU_STATIC)($(RDBMSLIB)sskgxpu.$(OBJ_EXT))

SKGXPT_NAME=skgxpt
SKGXPT_SRC=skgxpt.c sskgxpt.c
SKGXPT_OBJ=$(RDBMSLIB)skgxpt.$(OBJ_EXT)	$(RDBMSLIB)sskgxpt.$(OBJ_EXT)
LIBSKGXPT_MEMBERS=$(LIBSKGXPT_STATIC)($(RDBMSLIB)skgxpt.$(OBJ_EXT))	\
		$(LIBSKGXPT_STATIC)($(RDBMSLIB)sskgxpt.$(OBJ_EXT))

SKGXP_NAME=skgxp$(RDBMS_VERSION)

CONFIG_COMPILE_LINE=$(CC) -c config.c

# Entering /porting/linux06/8161/src/rdbms/s_rdbms.mk

# Entering /porting/linux06/8161/src/buildtools/mkfile/libclntsh.mk
LIBCLNTSH=libclntsh.so
$(LIBCLNTSH):	${ORACLE_HOME}/lib/libclient8.a	${ORACLE_HOME}/lib/libsql8.a \
		${ORACLE_HOME}/lib/libntcp8.a	${ORACLE_HOME}/lib/libn8.a \
                ${ORACLE_HOME}/lib/libnl8.a	\
                ${ORACLE_HOME}/lib/libnhost8.a	${ORACLE_HOME}/lib/libntns8.a \
                ${ORACLE_HOME}/lib/libnoname8.a	${ORACLE_HOME}/lib/libnus8.a \
                ${ORACLE_HOME}/lib/libntcps8.a  ${ORACLE_HOME}/lib/libnro8.a \
	        ${ORACLE_HOME}/lib/libnsslb8.a	${ORACLE_HOME}/lib/libcommon8.a\
	        ${ORACLE_HOME}/lib/libgeneric8.a ${ORACLE_HOME}/lib/libmm.a\
	        ${ORACLE_HOME}/lib/libnls8.a	${ORACLE_HOME}/lib/libcore8.a\
		${ORACLE_HOME}/lib/libtrace8.a ${ORACLE_HOME}/lib/libwtc8.so\
		${ORACLE_HOME}/rdbms/lib/xaondy.o
	$(SILENT)$(ECHO) "Building client shared library libclntsh.so ..."
	$(SILENT)$(ECHO) "Call script $$ORACLE_HOME/bin/genclntsh ..."
	$(GENCLNTSH)
	$(SILENT)$(ECHO) "Built $$ORACLE_HOME/lib/libclntsh.so ... DONE"

# Exiting /porting/linux06/8161/src/buildtools/mkfile/libclntsh.mk

RANLIBKNLOPT=
RANLIBORA=
OTHERST=
GENARGS=-n F
LDFLAGS_ORA=
LIBLISTRDBMS=
LLIBSQL=-lsql8
CDEBUG=-g
LLAIO=
LDLIBS+=-ldl $(NETLIBS) $(NETLIBS) $(NETLIBS) $(NETLIBS) $(NETLIBS) \
         $(LLIBSQL) $(LLIBSQL) 


LIBNM=$(CLUSTERDIR)/lib/libudlm.so
LIBCLUST=$(CLUSTERDIR)/lib/libcdb.so
LLIBNM=$(SKGXN) -ludlm
LLIBCLUST=-lcdb
LIBOBKNAME=obk
LIBOBK=$(LIBHOME)$(LIB_PREFIX)$(LIBOBKNAME).$(SO_EXT)
LLIBOBK=

SYSLIBS +=`if [ -f /usr/lib/libsched.so ] ; then echo -lsched ; else true; fi` 

LIBSKGXPD_STATIC=$(RDBMSLIB)$(LIB_PREFIX)$(SKGXPD_NAME).$(LIB_EXT)
LIBSKGXPU_STATIC=$(RDBMSLIB)$(LIB_PREFIX)$(SKGXPU_NAME).$(LIB_EXT)
LIBSKGXPT_STATIC=$(RDBMSLIB)$(LIB_PREFIX)$(SKGXPT_NAME).$(LIB_EXT)
LIBSKGXP_STATIC=$(RDBMSLIB)$(LIB_PREFIX)$(SKGXP_NAME).$(LIB_EXT)

$(LIBSKGXPD_STATIC):	$(LIBSKGXPD_MEMBERS)
$(LIBSKGXPU_STATIC):	$(LIBSKGXPU_MEMBERS)
$(LIBSKGXPT_STATIC):	$(LIBSKGXPT_MEMBERS)


LIBSKGXPD=$(RDBMSLIB)$(LIB_PREFIX)$(SKGXPD_NAME).$(SO_EXT)
LIBSKGXPU=$(RDBMSLIB)$(LIB_PREFIX)$(SKGXPU_NAME).$(SO_EXT)
LIBSKGXPT=$(RDBMSLIB)$(LIB_PREFIX)$(SKGXPT_NAME).$(SO_EXT)
LIBSKGXP=$(RDBMSLIB)$(LIB_PREFIX)$(SKGXP_NAME).$(SO_EXT)

LIBSSKGXP_STATIC=$(LIBSKGXPD_STATIC) $(LIBSKGXPU_STATIC) $(LIBSKGXPT_STATIC)
LIBSSKGXP_SHARED=$(LIBSKGXPD)        $(LIBSKGXPU)        $(LIBSKGXPT)
EXTRALIBS += $(LIBSSKGXP_STATIC)
SHLIBS += $(LIBSKGXP)
LIBS += $(LIBSKGXP_STATIC)

$(LIBSKGXPD):	$(LIBSKGXPD_STATIC)
$(LIBSKGXPU):	$(LIBSKGXPU_STATIC)
$(LIBSKGXPT):	$(LIBSKGXPT_STATIC)

POST_SKGXP_UPDATE=



SKGXP_DEFAULT=ipc_none
SKGXP_OPS_ON=ipc_udp

# Exiting /porting/linux06/8161/src/rdbms/s_rdbms.mk
# Exiting rdbms.mk
# Entering /porting/linux06/8161/src/buildtools/mkfile/libclntsh.mk
LIBCLNTSH=libclntsh.so
$(LIBCLNTSH):	${ORACLE_HOME}/lib/libclient8.a	${ORACLE_HOME}/lib/libsql8.a \
		${ORACLE_HOME}/lib/libntcp8.a	${ORACLE_HOME}/lib/libn8.a \
                ${ORACLE_HOME}/lib/libnl8.a	\
                ${ORACLE_HOME}/lib/libnhost8.a	${ORACLE_HOME}/lib/libntns8.a \
                ${ORACLE_HOME}/lib/libnoname8.a	${ORACLE_HOME}/lib/libnus8.a \
                ${ORACLE_HOME}/lib/libntcps8.a  ${ORACLE_HOME}/lib/libnro8.a \
	        ${ORACLE_HOME}/lib/libnsslb8.a	${ORACLE_HOME}/lib/libcommon8.a\
	        ${ORACLE_HOME}/lib/libgeneric8.a ${ORACLE_HOME}/lib/libmm.a\
	        ${ORACLE_HOME}/lib/libnls8.a	${ORACLE_HOME}/lib/libcore8.a\
		${ORACLE_HOME}/lib/libtrace8.a ${ORACLE_HOME}/lib/libwtc8.so\
		${ORACLE_HOME}/rdbms/lib/xaondy.o
	$(SILENT)$(ECHO) "Building client shared library libclntsh.so ..."
	$(SILENT)$(ECHO) "Call script $$ORACLE_HOME/bin/genclntsh ..."
	$(GENCLNTSH)
	$(SILENT)$(ECHO) "Built $$ORACLE_HOME/lib/libclntsh.so ... DONE"

# Exiting /porting/linux06/8161/src/buildtools/mkfile/libclntsh.mk
